
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"1",
  
  "macros":[{
      "function":"__e"
    },{
      "function":"__cid"
    }],
  "tags":[{
      "function":"__rep",
      "once_per_event":true,
      "vtp_containerId":["macro",1],
      "tag_id":1
    }],
  "predicates":[{
      "function":"_eq",
      "arg0":["macro",0],
      "arg1":"gtm.js"
    }],
  "rules":[
    [["if",0],["add",0]]]
},
"runtime":[]




};
/*

 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
var aa,ca="function"==typeof Object.create?Object.create:function(a){var b=function(){};b.prototype=a;return new b},da;if("function"==typeof Object.setPrototypeOf)da=Object.setPrototypeOf;else{var ea;a:{var ha={Jf:!0},ia={};try{ia.__proto__=ha;ea=ia.Jf;break a}catch(a){}ea=!1}da=ea?function(a,b){a.__proto__=b;if(a.__proto__!==b)throw new TypeError(a+" is not extensible");return a}:null}var ja=da,ka=this||self,la=/^[\w+/_-]+[=]{0,2}$/,ma=null;var na=function(){},oa=function(a){return"function"==typeof a},g=function(a){return"string"==typeof a},pa=function(a){return"number"==typeof a&&!isNaN(a)},ra=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},n=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},ta=function(a,b){if(a&&ra(a))for(var c=0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},ua=function(a,b){if(!pa(a)||
!pa(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},wa=function(a,b){for(var c=new va,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},xa=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},za=function(a){return Math.round(Number(a))||0},Aa=function(a){return"false"==String(a).toLowerCase()?!1:!!a},Ba=function(a){var b=[];if(ra(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},Ca=function(a){return a?
a.replace(/^\s+|\s+$/g,""):""},Ea=function(){return(new Date).getTime()},va=function(){this.prefix="gtm.";this.values={}};va.prototype.set=function(a,b){this.values[this.prefix+a]=b};va.prototype.get=function(a){return this.values[this.prefix+a]};
var Fa=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},Ha=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}},Ia=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},Ja=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},Ka=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c},La=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c},Ma=function(a){var b=
[];xa(a,function(c,d){10>c.length&&d&&b.push(c)});return b.join(",")};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var Na=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,Oa=function(a){if(null==a)return String(a);var b=Na.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},Pa=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},Qa=function(a){if(!a||"object"!=Oa(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!Pa(a,"constructor")&&!Pa(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||Pa(a,b)},C=function(a,b){var c=b||("array"==Oa(a)?[]:{}),d;for(d in a)if(Pa(a,d)){var e=a[d];"array"==Oa(e)?("array"!=Oa(c[d])&&(c[d]=[]),c[d]=C(e,c[d])):Qa(e)?(Qa(c[d])||(c[d]={}),c[d]=C(e,c[d])):c[d]=e}return c};var ob;
var pb=[],qb=[],rb=[],sb=[],tb=[],ub={},vb,wb,xb,zb=function(a,b){var c={};c["function"]="__"+a;for(var d in b)b.hasOwnProperty(d)&&(c["vtp_"+d]=b[d]);return c},Ab=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=ub[c],e={},f;for(f in a)a.hasOwnProperty(f)&&0===f.indexOf("vtp_")&&(e[void 0!==d?f:f.substr(4)]=a[f]);return void 0!==d?d(e):ob(c,e,b)},Cb=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=Bb(a[e],b,c));
return d},Db=function(a){var b=a["function"];if(!b)throw"Error: No function name given for function call.";var c=ub[b];return c?c.priorityOverride||0:0},Bb=function(a,b,c){if(ra(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push(Bb(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=pb[f];if(!h||b.Wc(h))return;c[f]=!0;try{var k=Cb(h,b,c);k.vtp_gtmEventId=b.id;d=Ab(k,b);xb&&(d=xb.jg(d,k))}catch(y){b.Fe&&b.Fe(y,Number(f)),d=!1}c[f]=
!1;return d;case "map":d={};for(var l=1;l<a.length;l+=2)d[Bb(a[l],b,c)]=Bb(a[l+1],b,c);return d;case "template":d=[];for(var m=!1,q=1;q<a.length;q++){var r=Bb(a[q],b,c);wb&&(m=m||r===wb.Kb);d.push(r)}return wb&&m?wb.mg(d):d.join("");case "escape":d=Bb(a[1],b,c);if(wb&&ra(a[1])&&"macro"===a[1][0]&&wb.Mg(a))return wb.eh(d);d=String(d);for(var u=2;u<a.length;u++)Ra[a[u]]&&(d=Ra[a[u]](d));return d;case "tag":var p=a[1];if(!sb[p])throw Error("Unable to resolve tag reference "+p+".");return d={se:a[2],
index:p};case "zb":var t={arg0:a[2],arg1:a[3],ignore_case:a[5]};t["function"]=a[1];var w=Eb(t,b,c),v=!!a[4];return v||2!==w?v!==(1===w):null;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},Eb=function(a,b,c){try{return vb(Cb(a,b,c))}catch(d){JSON.stringify(a)}return 2};var Fb=function(){var a=function(b){return{toString:function(){return b}}};return{Ad:a("convert_case_to"),Bd:a("convert_false_to"),Cd:a("convert_null_to"),Dd:a("convert_true_to"),Ed:a("convert_undefined_to"),Mh:a("debug_mode_metadata"),xa:a("function"),hf:a("instance_name"),nf:a("live_only"),qf:a("malware_disabled"),rf:a("metadata"),Nh:a("original_vendor_template_id"),vf:a("once_per_event"),Md:a("once_per_load"),Ud:a("setup_tags"),Wd:a("tag_id"),Xd:a("teardown_tags")}}();var Gb=null,Jb=function(a){function b(r){for(var u=0;u<r.length;u++)d[r[u]]=!0}var c=[],d=[];Gb=Hb(a);for(var e=0;e<qb.length;e++){var f=qb[e],h=Ib(f);if(h){for(var k=f.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(f.block||[])}else null===h&&b(f.block||[])}for(var m=[],q=0;q<sb.length;q++)c[q]&&!d[q]&&(m[q]=!0);return m},Ib=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=Gb(b[c]);if(0===d)return!1;if(2===d)return null}for(var e=a.unless||[],f=0;f<e.length;f++){var h=Gb(e[f]);if(2===h)return null;
if(1===h)return!1}return!0},Hb=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=Eb(rb[c],a));return b[c]}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */
var D={va:"_ee",Ph:"_uei",Ac:"event_callback",Jb:"event_timeout",D:"gtag.config",ca:"allow_ad_personalization_signals",Bc:"restricted_data_processing",$a:"allow_google_signals",da:"cookie_expires",Ib:"cookie_update",ab:"session_duration",ka:"user_properties",sa:"transport_url",F:"ads_data_redaction"};
D.ud="page_view";D.Jh="user_engagement";D.na="purchase";D.Xb="refund";D.eb="begin_checkout";D.Rb="add_to_cart";D.Tb="remove_from_cart";D.yh="view_cart";D.Jd="add_to_wishlist";D.Ja="view_item";D.Fh="view_promotion";D.Dh="select_promotion";D.Bh="select_item";D.sd="view_item_list";D.Id="add_payment_info";D.sh="add_shipping_info";D.Kh="allow_custom_scripts";D.Lh="allow_display_features";D.Xe="allow_enhanced_conversions";D.fe="enhanced_conversions";D.Zb="client_id";D.X="cookie_domain";D.ac="cookie_name";
D.Ma="cookie_path";D.ia="cookie_flags";D.ja="currency";D.bc="custom_params";D.$d="custom_map";D.yc="groups";D.Na="language";D.$e="country";D.Rh="non_interaction";D.kb="page_location";D.lb="page_referrer";D.zc="page_title";D.mb="send_page_view";D.ya="send_to";D.Cc="session_engaged";D.fc="session_id";D.Ec="session_number";D.Df="tracking_id";D.wa="linker";D.ob="url_passthrough";D.hb="accept_incoming";D.I="domains";D.jb="url_position";D.ib="decorate_forms";D.qe="phone_conversion_number";D.ke="phone_conversion_callback";
D.pe="phone_conversion_css_class";D.xe="phone_conversion_options";D.yf="phone_conversion_ids";D.xf="phone_conversion_country_code";D.Kd="aw_remarketing";D.Nd="aw_remarketing_only";D.ba="value";D.zf="quantity";D.df="affiliation";D.ee="tax";D.jf="shipping";D.vd="list_name";D.de="checkout_step";D.ce="checkout_option";D.ef="coupon";D.ff="promotions";D.nb="transaction_id";D.pb="user_id";D.La="conversion_linker";D.Ka="conversion_cookie_prefix";D.Y="cookie_prefix";D.S="items";D.Vd="aw_merchant_id";D.Qd=
"aw_feed_country";D.Td="aw_feed_language";D.Pd="discount";D.be="disable_merchant_reported_purchases";D.yd="new_customer";D.Zd="customer_lifetime_value";D.cf="dc_natural_search";D.bf="dc_custom_params";D.Ff="trip_type";D.he="passengers";D.sf="method";D.Cf="search_term";D.Ze="content_type";D.tf="optimize_id";D.kf="experiments";D.gb="google_signals";D.xc="google_tld";D.hc="update";D.wc="firebase_id";D.cc="ga_restrict_domain";D.wd="event_settings";D.Af="screen_name";D.pf="_x_19";D.lf="_x_20";D.Be=[D.ca,
D.$a,D.Bc,D.X,D.da,D.ia,D.ac,D.Ma,D.Y,D.Ib,D.$d,D.bc,D.Ac,D.wd,D.Jb,D.cc,D.gb,D.xc,D.yc,D.wa,D.ya,D.mb,D.ab,D.hc,D.ka,D.sa];D.Be.push(D.S);D.ye=[D.kb,D.lb,D.zc,D.Na,D.Af,D.pb,D.wc];D.Gf=[D.na,D.Xb,D.eb,D.Rb,D.Tb,D.yh,D.Jd,D.Ja,D.Fh,D.Dh,D.sd,D.Bh,D.Id,D.sh];D.Hd=[D.ya,D.Kd,D.Nd,D.bc,D.mb,D.Na,D.ba,D.ja,D.nb,D.pb,D.La,D.Ka,D.Y,D.X,D.da,D.ia,D.kb,D.lb,D.qe,D.ke,D.pe,D.xe,D.S,D.Vd,D.Qd,D.Td,D.Pd,D.be,D.yd,D.Zd,
D.ca,D.Bc,D.hc,D.wc,D.fe,D.sa,D.ob];D.Ae=[D.ca,D.$a,D.Ib];D.Ce=[D.da,D.Jb,D.ab];var F=window,G=document,fc=navigator,gc=G.currentScript&&G.currentScript.src,hc=function(a,b){var c=F[a];F[a]=void 0===c?b:c;return F[a]},ic=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},jc=function(a,b,c){var d=G.createElement("script");d.type="text/javascript";d.async=!0;d.src=a;ic(d,b);c&&(d.onerror=c);var e;if(null===ma)b:{var f=ka.document,h=f.querySelector&&f.querySelector("script[nonce]");
if(h){var k=h.nonce||h.getAttribute("nonce");if(k&&la.test(k)){ma=k;break b}}ma=""}e=ma;e&&d.setAttribute("nonce",e);var l=G.getElementsByTagName("script")[0]||G.body||G.head;l.parentNode.insertBefore(d,l);return d},kc=function(){if(gc){var a=gc.toLowerCase();if(0===a.indexOf("https://"))return 2;if(0===a.indexOf("http://"))return 3}return 1},lc=function(a,b){var c=G.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=G.body&&G.body.lastChild||
G.body||G.head;d.parentNode.insertBefore(c,d);ic(c,b);void 0!==a&&(c.src=a);return c},mc=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},nc=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&&a.attachEvent("on"+b,c)},oc=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},I=function(a){F.setTimeout(a,0)},pc=function(a,b){return a&&
b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},qc=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},rc=function(a){var b=G.createElement("div");b.innerHTML="A<div>"+a+"</div>";b=b.lastChild;for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},sc=function(a,b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var f=a,h=0;f&&h<=c;h++){if(d[String(f.tagName).toLowerCase()])return f;
f=f.parentElement}return null},tc=function(a){fc.sendBeacon&&fc.sendBeacon(a)||mc(a)},uc=function(a,b){var c=a[b];c&&"string"===typeof c.animVal&&(c=c.animVal);return c};var vc={},J=function(a,b){vc[a]=vc[a]||[];vc[a][b]=!0},wc=function(a){for(var b=[],c=vc[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var xc=[];function yc(){var a=hc("google_tag_data",{});a.ics||(a.ics={entries:{},set:zc,update:Ac,addListener:Bc,notifyListeners:Cc,active:!1});return a.ics}
function zc(a,b,c,d,e,f){var h=yc();h.active=!0;if(void 0!=b){var k=h.entries,l=k[a]||{},m=l.region,q=c&&g(c)?c.toUpperCase():void 0;d=d.toUpperCase();e=e.toUpperCase();if(q===e||(q===d?m!==e:!q&&!m)){var r=!!(f&&0<f&&void 0===l.update),u={region:q,initial:"granted"===b,update:l.update,quiet:r};k[a]=u;r&&F.setTimeout(function(){k[a]===u&&u.quiet&&(u.quiet=!1,Ec(a),Cc(),J("TAGGING",2))},f)}}}
function Ac(a,b){var c=yc();c.active=!0;if(void 0!=b){var d=Fc(a),e=c.entries,f=e[a]=e[a]||{};f.update="granted"===b;var h=Fc(a);f.quiet?(f.quiet=!1,Ec(a)):h!==d&&Ec(a)}}function Bc(a,b){xc.push({me:a,xg:b})}function Ec(a){for(var b=0;b<xc.length;++b){var c=xc[b];ra(c.me)&&-1!==c.me.indexOf(a)&&(c.Oe=!0)}}function Cc(){for(var a=0;a<xc.length;++a){var b=xc[a];if(b.Oe){b.Oe=!1;try{b.xg.call()}catch(c){}}}}
var Fc=function(a){var b=yc().entries[a]||{};return void 0!==b.update?b.update:void 0!==b.initial?b.initial:void 0},Gc=function(a){return!(yc().entries[a]||{}).quiet},Hc=function(){return yc().active},Ic=function(a,b){yc().addListener(a,b)},Jc=function(a,b){function c(){for(var e=0;e<b.length;e++)if(!Gc(b[e]))return!0;return!1}if(c()){var d=!1;Ic(b,function(){d||c()||(d=!0,a())})}else a()},Kc=function(a,b){if(!1===Fc(b)){var c=!1;Ic([b],function(){!c&&Fc(b)&&(a(),c=!0)})}};var Lc=[D.m,D.K],Mc=function(a){var b=a[D.kh];b&&J("GTM",40);var c=a[D.lh];c&&J("GTM",41);for(var d=ra(b)?b:[b],e=0;e<d.length;++e)for(var f=0;f<Lc.length;f++){var h=Lc[f],k=a[Lc[f]],l=d[e];yc().set(h,k,l,"CN","CN-32",c)}},Nc=function(a){for(var b=0;b<Lc.length;b++){var c=Lc[b],d=a[Lc[b]];yc().update(c,d)}yc().notifyListeners()},Oc=function(a){var b=Fc(a);return void 0!=b?b:!0},Pc=function(){for(var a=[],b=0;b<Lc.length;b++){var c=Fc(Lc[b]);a[b]=!0===c?"1":!1===c?"0":"-"}return"G1"+
a.join("")},Qc=function(a){Kc(a,D.m)},Rc=function(a,b){Jc(a,b)};var Tc=function(a){return Sc?G.querySelectorAll(a):null},Uc=function(a,b){if(!Sc)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!G.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},Vc=!1;if(G.querySelectorAll)try{var Wc=G.querySelectorAll(":root");Wc&&1==Wc.length&&Wc[0]==G.documentElement&&(Vc=!0)}catch(a){}var Sc=Vc;var kd={},ld=null,md=Math.random();kd.s="UA-151209473-1";kd.Ob="561";kd.Ld="";var nd={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,__fal:!0,__fil:!0,__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0,__paused:!0,__tg:!0},pd="www.googletagmanager.com/gtm.js";pd="www.googletagmanager.com/gtag/js";
var qd=pd,rd=null,sd=null,td=null,ud="//www.googletagmanager.com/a?id="+kd.s+"&cv=1",vd={},wd={},xd=function(){var a=ld.sequence||0;ld.sequence=a+1;return a};
var yd=function(){return"&tc="+sb.filter(function(a){return a}).length},Bd=function(){zd||(zd=F.setTimeout(Ad,500))},Ad=function(){zd&&(F.clearTimeout(zd),zd=void 0);void 0===Cd||Dd[Cd]&&!Ed&&!Fd||(Gd[Cd]||Hd.Og()||0>=Id--?(J("GTM",1),Gd[Cd]=!0):(Hd.nh(),mc(Jd()),Dd[Cd]=!0,Kd=Ld=Fd=Ed=""))},Jd=function(){var a=Cd;if(void 0===a)return"";var b=wc("GTM"),c=wc("TAGGING");return[Md,Dd[a]?"":"&es=1",Nd[a],b?"&u="+b:"",c?"&ut="+c:"",yd(),Ed,Fd,Ld,Kd,"&z=0"].join("")},Od=function(){return[ud,"&v=3&t=t","&pid="+
ua(),"&rv="+kd.Ob].join("")},Pd="0.005000">Math.random(),Md=Od(),Qd=function(){Md=Od()},Dd={},Ed="",Fd="",Kd="",Ld="",Cd=void 0,Nd={},Gd={},zd=void 0,Hd=function(a,b){var c=0,d=0;return{Og:function(){if(c<a)return!1;Ea()-d>=b&&(c=0);return c>=a},nh:function(){Ea()-d>=b&&(c=0);c++;d=Ea()}}}(2,1E3),Id=1E3,Rd=function(a,b){if(Pd&&!Gd[a]&&Cd!==a){Ad();Cd=a;Kd=Ed="";var c;c=0===b.indexOf("gtm.")?encodeURIComponent(b):"*";Nd[a]="&e="+c+"&eid="+a;Bd()}},Sd=function(a,b,c){if(Pd&&!Gd[a]&&
b){a!==Cd&&(Ad(),Cd=a);var d,e=String(b[Fb.xa]||"").replace(/_/g,"");0===e.indexOf("cvt")&&(e="cvt");d=e;var f=c+d;Ed=Ed?Ed+"."+f:"&tr="+f;var h=b["function"];if(!h)throw Error("Error: No function name given for function call.");var k=(ub[h]?"1":"2")+d;Kd=Kd?Kd+"."+k:"&ti="+k;Bd();2022<=Jd().length&&Ad()}},Td=function(a,b,c){if(Pd&&!Gd[a]){a!==Cd&&(Ad(),Cd=a);var d=c+b;Fd=Fd?Fd+
"."+d:"&epr="+d;Bd();2022<=Jd().length&&Ad()}};var Ud={},Vd=new va,Wd={},Xd={},$d={name:"dataLayer",set:function(a,b){C(La(a,b),Wd);Yd()},get:function(a){return Zd(a,2)},reset:function(){Vd=new va;Wd={};Yd()}},Zd=function(a,b){if(2!=b){var c=Vd.get(a);if(Pd){var d=ae(a);c!==d&&J("GTM",5)}return c}return ae(a)},ae=function(a){var b=a.split("."),c=!1,d=void 0;var e=function(f,h){for(var k=0;void 0!==f&&k<b.length;k++){if(null===f)return!1;f=f[b[k]]}var l;if(void 0!==f||1<k)l=f;else{var m;if(h.length){var q;var r=
h.pop();if(r){var u=be(["gtag","targets",r]);q=Qa(u)?u:void 0}else q=void 0;m=e(q,h)}else m=be(b);l=m}return l};c=!0;d=e(Wd.eventModel,[void 0,void 0]);return c?d:be(b)},be=function(a){for(var b=Wd,c=0;c<a.length;c++){if(null===b)return!1;if(void 0===b)break;b=b[a[c]]}return b};
var ce=function(a,b){Xd.hasOwnProperty(a)||(Vd.set(a,b),C(La(a,b),Wd),Yd())},Yd=function(a){xa(Xd,function(b,c){Vd.set(b,c);C(La(b,void 0),Wd);C(La(b,c),Wd);a&&delete Xd[b]})},de=function(a,b,c){Ud[a]=Ud[a]||{};var d=1!==c?ae(b):Vd.get(b);"array"===Oa(d)||"object"===Oa(d)?Ud[a][b]=C(d):Ud[a][b]=d},ee=function(a,b){if(Ud[a])return Ud[a][b]},fe=function(a,b){Ud[a]&&delete Ud[a][b]};var ie=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var je=/:[0-9]+$/,ke=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var f=d[e].split("=");if(decodeURIComponent(f[0]).replace(/\+/g," ")===b){var h=f.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},ne=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=le(a.protocol)||le(F.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:F.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||F.location.hostname).replace(je,"").toLowerCase());return me(a,b,c,d,e)},me=function(a,b,c,d,e){var f,h=le(a.protocol);b&&(b=String(b).toLowerCase());switch(b){case "url_no_fragment":f=oe(a);break;case "protocol":f=h;break;case "host":f=a.hostname.replace(je,"").toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;case "port":f=String(Number(a.port)||("http"==h?80:"https"==h?443:""));break;case "path":a.pathname||a.hostname||J("TAGGING",1);
f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=n(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=ke(f,e,void 0));break;case "extension":var m=a.pathname.split(".");f=1<m.length?m[m.length-1]:"";f=f.split("/")[0];break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},le=function(a){return a?a.replace(":","").toLowerCase():""},oe=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");
b=0>c?a.href:a.href.substr(0,c)}return b},pe=function(a){var b=G.createElement("a");a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(a||J("TAGGING",1),c="/"+c);var d=b.hostname.replace(je,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}},qe=function(a){function b(m){var q=m.split("=")[0];return 0>d.indexOf(q)?m:q+"=0"}function c(m){return m.split("&").map(b).filter(function(q){return void 0!=q}).join("&")}var d="gclid dclid gclaw gcldc gclgp gclha gclgf _gl".split(" "),
e=pe(a),f=a.split(/[?#]/)[0],h=e.search,k=e.hash;"?"===h[0]&&(h=h.substring(1));"#"===k[0]&&(k=k.substring(1));h=c(h);k=c(k);""!==h&&(h="?"+h);""!==k&&(k="#"+k);var l=""+f+h+k;"/"===l[l.length-1]&&(l=l.substring(0,l.length-1));return l};function re(a,b,c){for(var d=[],e=b.split(";"),f=0;f<e.length;f++){var h=e[f].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d};var se={},te=function(a){return void 0==se[a]?!1:se[a]};var ve=function(a,b,c,d){return ue(d)?re(a,String(b||document.cookie),c):[]},ye=function(a,b,c,d,e){if(ue(e)){var f=we(a,d,e);if(1===f.length)return f[0].id;if(0!==f.length){f=xe(f,function(h){return h.Vb},b);if(1===f.length)return f[0].id;f=xe(f,function(h){return h.yb},c);return f[0]?f[0].id:void 0}}};function ze(a,b,c,d){var e=document.cookie;document.cookie=a;var f=document.cookie;return e!=f||void 0!=c&&0<=ve(b,f,!1,d).indexOf(c)}
var De=function(a,b,c){function d(p,t,w){if(null==w)return delete h[t],p;h[t]=w;return p+"; "+t+"="+w}function e(p,t){if(null==t)return delete h[t],p;h[t]=!0;return p+"; "+t}if(!ue(c.Da))return 2;var f;void 0==b?f=a+"=deleted; expires="+(new Date(0)).toUTCString():(c.encode&&(b=encodeURIComponent(b)),b=Ae(b),f=a+"="+b);var h={};f=d(f,"path",c.path);var k;c.expires instanceof Date?k=c.expires.toUTCString():null!=c.expires&&(k=""+c.expires);f=d(f,"expires",k);f=d(f,"max-age",c.Zh);f=d(f,"samesite",
c.ei);c.fi&&(f=e(f,"secure"));f=e(f,c.flags);var l=c.domain;if("auto"===l){for(var m=Be(),q=0;q<m.length;++q){var r="none"!==m[q]?m[q]:void 0,u=d(f,"domain",r);if(!Ce(r,c.path)&&ze(u,a,b,c.Da))return 0}return 1}l&&"none"!==l&&(f=d(f,"domain",l));return Ce(l,c.path)?1:ze(f,a,b,c.Da)?0:1},Ee=function(a,b,c){null==c.path&&(c.path="/");c.domain||(c.domain="auto");return De(a,b,c)};
function xe(a,b,c){for(var d=[],e=[],f,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===f||l<f?(e=[k],f=l):l===f&&e.push(k)}return 0<d.length?d:e}function we(a,b,c){for(var d=[],e=ve(a,void 0,void 0,c),f=0;f<e.length;f++){var h=e[f].split("."),k=h.shift();if(!b||-1!==b.indexOf(k)){var l=h.shift();l&&(l=l.split("-"),d.push({id:h.join("."),Vb:1*l[0]||1,yb:1*l[1]||1}))}}return d}
var Ae=function(a){a&&1200<a.length&&(a=a.substring(0,1200));return a},Fe=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,Ge=/(^|\.)doubleclick\.net$/i,Ce=function(a,b){return Ge.test(document.location.hostname)||"/"===b&&Fe.test(a)},Be=function(){var a=[],b=document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));var e=document.location.hostname;Ge.test(e)||Fe.test(e)||a.push("none");
return a},ue=function(a){if(!te("gtag_cs_api")||!a||!Hc())return!0;if(!Gc(a))return!1;var b=Fc(a);return null==b?!0:!!b};var He=function(){for(var a=fc.userAgent+(G.cookie||"")+(G.referrer||""),b=a.length,c=F.history.length;0<c;)a+=c--^b++;var d=1,e,f,h;if(a)for(d=0,f=a.length-1;0<=f;f--)h=a.charCodeAt(f),d=(d<<6&268435455)+h+(h<<14),e=d&266338304,d=0!=e?d^e>>21:d;return[Math.round(2147483647*Math.random())^d&2147483647,Math.round(Ea()/1E3)].join(".")},Ke=function(a,b,c,d,e){var f=Ie(b);return ye(a,f,Je(c),d,e)},Le=function(a,b,c,d){var e=""+Ie(c),f=Je(d);1<f&&(e+="-"+f);return[b,e,a].join(".")},Ie=function(a){if(!a)return 1;
a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},Je=function(a){if(!a||"/"===a)return 1;"/"!==a[0]&&(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function Me(a,b,c){var d,e=a.wb;null==e&&(e=7776E3);0!==e&&(d=new Date((b||Ea())+1E3*e));return{path:a.path,domain:a.domain,flags:a.flags,encode:!!c,expires:d}};var Ne=["1"],Oe={},Se=function(a){var b=Pe(a.prefix);Oe[b]||Qe(b,a.path,a.domain)||(Re(b,He(),a),Qe(b,a.path,a.domain))};function Re(a,b,c){var d=Le(b,"1",c.domain,c.path),e=Me(c);e.Da="ad_storage";Ee(a,d,e)}function Qe(a,b,c){var d=Ke(a,b,c,Ne,"ad_storage");d&&(Oe[a]=d);return d}function Pe(a){return(a||"_gcl")+"_au"};function Te(){for(var a=Ue,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function Ve(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var Ue,We;function Xe(a){Ue=Ue||Ve();We=We||Te();for(var b=[],c=0;c<a.length;c+=3){var d=c+1<a.length,e=c+2<a.length,f=a.charCodeAt(c),h=d?a.charCodeAt(c+1):0,k=e?a.charCodeAt(c+2):0,l=f>>2,m=(f&3)<<4|h>>4,q=(h&15)<<2|k>>6,r=k&63;e||(r=64,d||(q=64));b.push(Ue[l],Ue[m],Ue[q],Ue[r])}return b.join("")}
function Ye(a){function b(l){for(;d<a.length;){var m=a.charAt(d++),q=We[m];if(null!=q)return q;if(!/^[\s\xa0]*$/.test(m))throw Error("Unknown base64 encoding at char: "+m);}return l}Ue=Ue||Ve();We=We||Te();for(var c="",d=0;;){var e=b(-1),f=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|f>>4);64!=h&&(c+=String.fromCharCode(f<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var Ze;var cf=function(){var a=$e,b=af,c=bf(),d=function(h){a(h.target||h.srcElement||{})},e=function(h){b(h.target||h.srcElement||{})};if(!c.init){nc(G,"mousedown",d);nc(G,"keyup",d);nc(G,"submit",e);var f=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);f.call(this)};c.init=!0}},df=function(a,b,c,d,e){var f={callback:a,domains:b,fragment:2===c,placement:c,forms:d,sameHost:e};bf().decorators.push(f)},ef=function(a,b,c){for(var d=bf().decorators,e={},f=0;f<d.length;++f){var h=
d[f],k;if(k=!c||h.forms)a:{var l=h.domains,m=a;if(l&&(h.sameHost||m!==G.location.hostname))for(var q=0;q<l.length;q++)if(l[q]instanceof RegExp){if(l[q].test(m)){k=!0;break a}}else if(0<=m.indexOf(l[q])){k=!0;break a}k=!1}if(k){var r=h.placement;void 0==r&&(r=h.fragment?2:1);r===b&&Ia(e,h.callback())}}return e},bf=function(){var a=hc("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var ff=/(.*?)\*(.*?)\*(.*)/,gf=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,hf=/^(?:www\.|m\.|amp\.)+/,jf=/([^?#]+)(\?[^#]*)?(#.*)?/;function kf(a){return new RegExp("(.*?)(^|&)"+a+"=([^&]*)&?(.*)")}
var mf=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()&&(b.push(c),b.push(Xe(String(d))))}var e=b.join("*");return["1",lf(e),e].join("*")},lf=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=Ze)){for(var e=Array(256),f=0;256>f;f++){for(var h=f,k=0;8>k;k++)h=
h&1?h>>>1^3988292384:h>>>1;e[f]=h}d=e}Ze=d;for(var l=4294967295,m=0;m<c.length;m++)l=l>>>8^Ze[(l^c.charCodeAt(m))&255];return((l^-1)>>>0).toString(36)},of=function(){return function(a){var b=pe(F.location.href),c=b.search.replace("?",""),d=ke(c,"_gl",!0)||"";a.query=nf(d)||{};var e=ne(b,"fragment").match(kf("_gl"));a.fragment=nf(e&&e[3]||"")||{}}},pf=function(a){var b=of(),c=bf();c.data||(c.data={query:{},fragment:{}},b(c.data));var d={},e=c.data;e&&(Ia(d,e.query),a&&Ia(d,e.fragment));return d},nf=
function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var f=ff.exec(d);if(f){c=f;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var m=h[2],q=0;q<b;++q)if(m===lf(k,q)){l=!0;break a}l=!1}if(l){for(var r={},u=k?k.split("*"):[],p=0;p<u.length;p+=2)r[u[p]]=Ye(u[p+1]);return r}}}}catch(t){}};
function qf(a,b,c,d){function e(q){var r=q,u=kf(a).exec(r),p=r;if(u){var t=u[2],w=u[4];p=u[1];w&&(p=p+t+w)}q=p;var v=q.charAt(q.length-1);q&&"&"!==v&&(q+="&");return q+m}d=void 0===d?!1:d;var f=jf.exec(c);if(!f)return"";var h=f[1],k=f[2]||"",l=f[3]||"",m=a+"="+b;d?l="#"+e(l.substring(1)):k="?"+e(k.substring(1));return""+h+k+l}
function rf(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=ef(b,1,c),e=ef(b,2,c),f=ef(b,3,c);if(Ja(d)){var h=mf(d);c?sf("_gl",h,a):tf("_gl",h,a,!1)}if(!c&&Ja(e)){var k=mf(e);tf("_gl",k,a,!0)}for(var l in f)if(f.hasOwnProperty(l))a:{var m=l,q=f[l],r=a;if(r.tagName){if("a"===r.tagName.toLowerCase()){tf(m,q,r,void 0);break a}if("form"===r.tagName.toLowerCase()){sf(m,q,r);break a}}"string"==typeof r&&qf(m,q,r,void 0)}}
function tf(a,b,c,d){if(c.href){var e=qf(a,b,c.href,void 0===d?!1:d);ie.test(e)&&(c.href=e)}}
function sf(a,b,c){if(c&&c.action){var d=(c.method||"").toLowerCase();if("get"===d){for(var e=c.childNodes||[],f=!1,h=0;h<e.length;h++){var k=e[h];if(k.name===a){k.setAttribute("value",b);f=!0;break}}if(!f){var l=G.createElement("input");l.setAttribute("type","hidden");l.setAttribute("name",a);l.setAttribute("value",b);c.appendChild(l)}}else if("post"===d){var m=qf(a,b,c.action);ie.test(m)&&(c.action=m)}}}
var $e=function(a){try{var b;a:{for(var c=a,d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var f=e.protocol;"http:"!==f&&"https:"!==f||rf(e,e.hostname)}}catch(h){}},af=function(a){try{if(a.action){var b=ne(pe(a.action),"host");rf(a,b)}}catch(c){}},uf=function(a,b,c,d){cf();df(a,b,"fragment"===c?2:1,!!d,!1)},vf=function(a,b){cf();df(a,[me(F.location,"host",!0)],b,!0,!0)},wf=function(){var a=G.location.hostname,b=gf.exec(G.referrer);if(!b)return!1;
var c=b[2],d=b[1],e="";if(c){var f=c.split("/"),h=f[1];e="s"===h?decodeURIComponent(f[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}var k=a.replace(hf,""),l=e.replace(hf,""),m;if(!(m=k===l)){var q="."+l;m=k.substring(k.length-q.length,k.length)===q}return m},xf=function(a,b){return!1===a?!1:a||b||wf()};var yf=/^\w+$/,zf=/^[\w-]+$/,Af=/^~?[\w-]+$/,Bf={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha",gp:"_gp"},Cf=function(){if(!te("gtag_cs_api")||!Hc())return!0;var a=Fc("ad_storage");return null==a?!0:!!a},Df=function(a,b){Gc("ad_storage")?Cf()?a():Kc(a,"ad_storage"):b?J("TAGGING",3):Jc(function(){Df(a,!0)},["ad_storage"])},Gf=function(a){var b=[];if(!G.cookie)return b;var c=ve(a,G.cookie,void 0,"ad_storage");if(!c||0==c.length)return b;for(var d=0;d<c.length;d++){var e=Ef(c[d]);e&&-1===n(b,e)&&b.push(e)}return Ff(b)};
function Hf(a){return a&&"string"==typeof a&&a.match(yf)?a:"_gcl"}
var Jf=function(){var a=pe(F.location.href),b=ne(a,"query",!1,void 0,"gclid"),c=ne(a,"query",!1,void 0,"gclsrc"),d=ne(a,"query",!1,void 0,"dclid");if(!b||!c){var e=a.hash.replace("#","");b=b||ke(e,"gclid",void 0);c=c||ke(e,"gclsrc",void 0)}return If(b,c,d)},If=function(a,b,c){var d={},e=function(f,h){d[h]||(d[h]=[]);d[h].push(f)};d.gclid=a;d.gclsrc=b;d.dclid=c;if(void 0!==a&&a.match(zf))switch(b){case void 0:e(a,"aw");break;case "aw.ds":e(a,"aw");e(a,"dc");break;case "ds":e(a,"dc");break;case "3p.ds":te("gtm_3pds")&&
e(a,"dc");break;case "gf":e(a,"gf");break;case "ha":e(a,"ha");break;case "gp":e(a,"gp")}c&&e(c,"dc");return d},Lf=function(a){var b=Jf();Df(function(){return Kf(b,a)})};
function Kf(a,b,c){function d(m,q){var r=Mf(m,e);r&&(Ee(r,q,f),h=!0)}b=b||{};var e=Hf(b.prefix);c=c||Ea();var f=Me(b,c,!0);f.Da="ad_storage";var h=!1,k=Math.round(c/1E3),l=function(m){return["GCL",k,m].join(".")};a.aw&&(!0===b.ji?d("aw",l("~"+a.aw[0])):d("aw",l(a.aw[0])));a.dc&&d("dc",l(a.dc[0]));a.gf&&d("gf",l(a.gf[0]));a.ha&&d("ha",l(a.ha[0]));a.gp&&d("gp",l(a.gp[0]));return h}
var Of=function(a,b){var c=pf(!0);Df(function(){for(var d=Hf(b.prefix),e=0;e<a.length;++e){var f=a[e];if(void 0!==Bf[f]){var h=Mf(f,d),k=c[h];if(k){var l=Math.min(Nf(k),Ea()),m;b:{for(var q=l,r=ve(h,G.cookie,void 0,"ad_storage"),u=0;u<r.length;++u)if(Nf(r[u])>q){m=!0;break b}m=!1}if(!m){var p=Me(b,l,!0);p.Da="ad_storage";Ee(h,k,p)}}}}Kf(If(c.gclid,c.gclsrc),b)})},Mf=function(a,b){var c=Bf[a];if(void 0!==c)return b+c},Nf=function(a){var b=a.split(".");return 3!==b.length||"GCL"!==b[0]?0:1E3*(Number(b[1])||
0)};function Ef(a){var b=a.split(".");if(3==b.length&&"GCL"==b[0]&&b[1])return b[2]}
var Pf=function(a,b,c,d,e){if(ra(b)){var f=Hf(e),h=function(){for(var k={},l=0;l<a.length;++l){var m=Mf(a[l],f);if(m){var q=ve(m,G.cookie,void 0,"ad_storage");q.length&&(k[m]=q.sort()[q.length-1])}}return k};Df(function(){uf(h,b,c,d)})}},Ff=function(a){return a.filter(function(b){return Af.test(b)})},Qf=function(a,b){for(var c=Hf(b.prefix),d={},e=0;e<a.length;e++)Bf[a[e]]&&(d[a[e]]=Bf[a[e]]);Df(function(){xa(d,function(f,h){var k=ve(c+h,G.cookie,void 0,"ad_storage");if(k.length){var l=k[0],m=Nf(l),
q={};q[f]=[Ef(l)];Kf(q,b,m)}})})};function Rf(a,b){for(var c=0;c<b.length;++c)if(a[b[c]])return!0;return!1}
var Sf=function(){function a(e,f,h){h&&(e[f]=h)}var b=["aw","dc"];if(Hc()){var c=Jf();if(Rf(c,b)){var d={};a(d,"gclid",c.gclid);a(d,"dclid",c.dclid);a(d,"gclsrc",c.gclsrc);vf(function(){return d},3);vf(function(){var e={};return e._up="1",e},1)}}},Tf=function(){var a;if(Cf()){for(var b=[],c=G.cookie.split(";"),d=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({pd:f[1],value:f[2]})}var h={};if(b&&b.length)for(var k=0;k<b.length;k++){var l=b[k].value.split(".");
"1"==l[0]&&3==l.length&&l[1]&&(h[b[k].pd]||(h[b[k].pd]=[]),h[b[k].pd].push({timestamp:l[1],zg:l[2]}))}a=h}else a={};return a};var Uf=/^\d+\.fls\.doubleclick\.net$/;function Vf(a,b){Gc(D.m)?Oc(D.m)?a():Qc(a):b?J("GTM",42):Rc(function(){Vf(a,!0)},[D.m])}function Wf(a){var b=pe(F.location.href),c=ne(b,"host",!1);if(c&&c.match(Uf)){var d=ne(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function Xf(a,b,c){if("aw"==a||"dc"==a){var d=Wf("gcl"+a);if(d)return d.split(".")}var e=Hf(b);if("_gcl"==e){c=void 0===c?!0:c;var f=!Oc(D.m)&&c,h;h=Jf()[a]||[];if(0<h.length)return f?["0"]:h}var k=Mf(a,e);return k?Gf(k):[]}
var Yf=function(a){var b=Wf("gac");if(b)return!Oc(D.m)&&a?"0":decodeURIComponent(b);var c=Tf(),d=[];xa(c,function(e,f){for(var h=[],k=0;k<f.length;k++)h.push(f[k].zg);h=Ff(h);h.length&&d.push(e+":"+h.join(","))});return d.join(";")},Zf=function(a,b){var c=Jf().dc||[];Vf(function(){Se(b);var d=Oe[Pe(b.prefix)],e=!1;if(d&&0<c.length){var f=ld.joined_au=ld.joined_au||{},h=b.prefix||"_gcl";if(!f[h])for(var k=0;k<c.length;k++){var l="http://ad.doubleclick.net/ddm/regclk";l=l+"?gclid="+c[k]+"&auiddc="+d;tc(l);e=f[h]=
!0}}null==a&&(a=e);if(a&&d){var m=Pe(b.prefix),q=Oe[m];q&&Re(m,q,b)}})};var $f=/[A-Z]+/,ag=/\s/,bg=function(a){if(g(a)&&(a=Ca(a),!ag.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if($f.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],w:d}}}}},dg=function(a){for(var b={},c=0;c<a.length;++c){var d=bg(a[c]);d&&(b[d.id]=d)}cg(b);var e=[];xa(b,function(f,h){e.push(h)});return e};
function cg(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.w[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var eg=function(){var a=!1;return a};var Q=function(a,b,c,d){return(2===fg()||d||"http:"!=F.location.protocol?a:b)+c},fg=function(){var a=kc(),b;if(1===a)a:{var c=qd;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,f=1,h=G.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===f&&0===l.indexOf(d)&&(f=2)}}b=f}else b=a;return b};
var hg=function(a,b,c){if(F[a.functionName])return b.bd&&I(b.bd),F[a.functionName];var d=gg();F[a.functionName]=d;if(a.Qb)for(var e=0;e<a.Qb.length;e++)F[a.Qb[e]]=F[a.Qb[e]]||gg();a.$b&&void 0===F[a.$b]&&(F[a.$b]=c);jc(Q("https://","http://",a.md),b.bd,b.Zg);return d},gg=function(){var a=function(){a.q=a.q||[];a.q.push(arguments)};return a},ig={functionName:"_googWcmImpl",$b:"_googWcmAk",md:"www.gstatic.com/wcm/loader.js"},jg={functionName:"_gaPhoneImpl",$b:"ga_wpid",md:"www.gstatic.com/gaphone/loader.js"},
kg={Ye:"",Bf:"1"},lg={functionName:"_googCallTrackingImpl",Qb:[jg.functionName,ig.functionName],md:"www.gstatic.com/call-tracking/call-tracking_"+(kg.Ye||kg.Bf)+".js"},mg={},ng=function(a,b,c,d){J("GTM",22);if(c){d=d||{};var e=hg(ig,d,a),f={ak:a,cl:b};void 0===d.la&&(f.autoreplace=c);e(2,d.la,f,c,0,new Date,d.options)}},og=function(a,b,c,d){J("GTM",21);if(b&&c){d=d||{};for(var e={countryNameCode:c,destinationNumber:b,retrievalTime:new Date},f=0;f<a.length;f++){var h=
a[f];mg[h.id]||(h&&"AW"===h.prefix&&!e.adData&&2<=h.w.length?(e.adData={ak:h.w[0],cl:h.w[1]},mg[h.id]=!0):h&&"UA"===h.prefix&&!e.gaData&&(e.gaData={gaWpid:h.containerId},mg[h.id]=!0))}(e.gaData||e.adData)&&hg(lg,d)(d.la,e,d.options)}},pg=function(){var a=!1;return a},qg=function(a,b){if(a)if(eg()){}else{if(g(a)){var c=
bg(a);if(!c)return;a=c}var d=void 0,e=!1,f=b.getWithConfig(D.yf);if(f&&ra(f)){d=[];for(var h=0;h<f.length;h++){var k=bg(f[h]);k&&(d.push(k),(a.id===k.id||a.id===a.containerId&&a.containerId===k.containerId)&&(e=!0))}}if(!d||e){var l=b.getWithConfig(D.qe),m;if(l){ra(l)?m=l:m=[l];var q=b.getWithConfig(D.ke),r=b.getWithConfig(D.pe),u=b.getWithConfig(D.xe),p=b.getWithConfig(D.xf),t=q||r,w=1;"UA"!==a.prefix||d||(w=5);for(var v=0;v<m.length;v++)if(v<w)if(d)og(d,m[v],p,{la:t,options:u});else if("AW"===a.prefix&&
a.w[1])pg()?og([a],m[v],p||"US",{la:t,options:u}):ng(a.w[0],a.w[1],m[v],{la:t,options:u});else if("UA"===a.prefix)if(pg())og([a],m[v],p||"US",{la:t});else{var y=a.containerId,x=m[v],B={la:t};J("GTM",23);if(x){B=B||{};var A=hg(jg,B,y),z={};void 0!==B.la?z.receiver=B.la:z.replace=x;z.ga_wpid=y;z.destination=x;A(2,new Date,z)}}}}}};
var tg=function(a){return Oc(D.m)?a:a.replace(/&url=([^&#]+)/,function(b,c){var d=qe(decodeURIComponent(c));return"&url="+encodeURIComponent(d)})};var ug=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),vg={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},wg={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},yg="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var Ag=function(a){var b=Zd("gtm.whitelist");b&&J("GTM",9);b="google gtagfl lcl zone oid op".split(" ");var c=b&&Ka(Ba(b),vg),d=Zd("gtm.blacklist");d||(d=Zd("tagTypeBlacklist"))&&J("GTM",3);d?
J("GTM",8):d=[];zg()&&(d=Ba(d),d.push("nonGooglePixels","nonGoogleScripts","sandboxedScripts"));0<=n(Ba(d),"google")&&J("GTM",2);var e=d&&Ka(Ba(d),wg),f={};return function(h){var k=h&&h[Fb.xa];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==f[k])return f[k];var l=wd[k]||[],m=a(k,l);if(b){var q;if(q=m)a:{if(0>n(c,k))if(l&&0<l.length)for(var r=0;r<
l.length;r++){if(0>n(c,l[r])){J("GTM",11);q=!1;break a}}else{q=!1;break a}q=!0}m=q}var u=!1;if(d){var p=0<=n(e,k);if(p)u=p;else{var t=wa(e,l||[]);t&&J("GTM",10);u=t}}var w=!m||u;w||!(0<=n(l,"sandboxedScripts"))||c&&-1!==n(c,"sandboxedScripts")||(w=wa(e,yg));return f[k]=w}},zg=function(){return ug.test(F.location&&F.location.hostname)};var Bg={jg:function(a,b){b[Fb.Ad]&&"string"===typeof a&&(a=1==b[Fb.Ad]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty(Fb.Cd)&&null===a&&(a=b[Fb.Cd]);b.hasOwnProperty(Fb.Ed)&&void 0===a&&(a=b[Fb.Ed]);b.hasOwnProperty(Fb.Dd)&&!0===a&&(a=b[Fb.Dd]);b.hasOwnProperty(Fb.Bd)&&!1===a&&(a=b[Fb.Bd]);return a}};var Cg={active:!0,isWhitelisted:function(){return!0}},Dg=function(a){var b=ld.zones;!b&&a&&(b=ld.zones=a());return b};var Eg=function(){};var Fg=!1,Gg=0,Hg=[];function Ig(a){if(!Fg){var b=G.createEventObject,c="complete"==G.readyState,d="interactive"==G.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Fg=!0;for(var e=0;e<Hg.length;e++)I(Hg[e])}Hg.push=function(){for(var f=0;f<arguments.length;f++)I(arguments[f]);return 0}}}function Jg(){if(!Fg&&140>Gg){Gg++;try{G.documentElement.doScroll("left"),Ig()}catch(a){F.setTimeout(Jg,50)}}}var Kg=function(a){Fg?a():Hg.push(a)};var Lg={},Mg={},Ng=function(a,b,c,d){if(!Mg[a]||nd[b]||"__zone"===b)return-1;var e={};Qa(d)&&(e=C(d,e));e.id=c;e.status="timeout";return Mg[a].tags.push(e)-1},Og=function(a,b,c,d){if(Mg[a]){var e=Mg[a].tags[b];e&&(e.status=c,e.executionTime=d)}};function Pg(a){for(var b=Lg[a]||[],c=0;c<b.length;c++)b[c]();Lg[a]={push:function(d){d(kd.s,Mg[a])}}}
var Sg=function(a,b,c){Mg[a]={tags:[]};oa(b)&&Qg(a,b);c&&F.setTimeout(function(){return Pg(a)},Number(c));return Rg(a)},Qg=function(a,b){Lg[a]=Lg[a]||[];Lg[a].push(Ha(function(){return I(function(){b(kd.s,Mg[a])})}))};function Rg(a){var b=0,c=0,d=!1;return{add:function(){c++;return Ha(function(){b++;d&&b>=c&&Pg(a)})},Vf:function(){d=!0;b>=c&&Pg(a)}}};var Tg=function(){function a(d){return!pa(d)||0>d?0:d}if(!ld._li&&F.performance&&F.performance.timing){var b=F.performance.timing.navigationStart,c=pa($d.get("gtm.start"))?$d.get("gtm.start"):0;ld._li={cst:a(c-b),cbt:a(sd-b)}}};var Xg={},Yg=function(){return F.GoogleAnalyticsObject&&F[F.GoogleAnalyticsObject]},Zg=!1;
var $g=function(a){F.GoogleAnalyticsObject||(F.GoogleAnalyticsObject=a||"ga");var b=F.GoogleAnalyticsObject;if(F[b])F.hasOwnProperty(b)||J("GTM",12);else{var c=function(){c.q=c.q||[];c.q.push(arguments)};c.l=Number(new Date);F[b]=c}Tg();return F[b]},ah=function(a,b,c,d){b=String(b).replace(/\s+/g,"").split(",");var e=Yg();e(a+"require","linker");e(a+"linker:autoLink",b,c,d)};
var ch=function(a){},bh=function(){return F.GoogleAnalyticsObject||"ga"};function ih(a,b,c,d){var e=sb[a],f=jh(a,b,c,d);if(!f)return null;var h=Bb(e[Fb.Ud],c,[]);if(h&&h.length){var k=h[0];f=ih(k.index,{C:f,B:1===k.se?b.terminate:f,terminate:b.terminate},c,d)}return f}
function jh(a,b,c,d){function e(){if(f[Fb.qf])k();else{var v=Cb(f,c,[]),y=Ng(c.id,String(f[Fb.xa]),Number(f[Fb.Wd]),v[Fb.rf]),x=!1;v.vtp_gtmOnSuccess=function(){if(!x){x=!0;var z=Ea()-A;Sd(c.id,sb[a],"5");Og(c.id,y,"success",z);h()}};v.vtp_gtmOnFailure=function(){if(!x){x=!0;var z=Ea()-A;Sd(c.id,sb[a],"6");Og(c.id,y,"failure",z);k()}};v.vtp_gtmTagId=f.tag_id;
v.vtp_gtmEventId=c.id;Sd(c.id,f,"1");var B=function(){var z=Ea()-A;Sd(c.id,f,"7");Og(c.id,y,"exception",z);x||(x=!0,k())};var A=Ea();try{Ab(v,c)}catch(z){B(z)}}}var f=sb[a],h=b.C,k=b.B,l=b.terminate;if(c.Wc(f))return null;var m=Bb(f[Fb.Xd],c,[]);if(m&&m.length){var q=m[0],r=ih(q.index,{C:h,B:k,terminate:l},c,d);if(!r)return null;h=r;k=2===q.se?l:r}if(f[Fb.Md]||f[Fb.vf]){var u=f[Fb.Md]?tb:c.wh,p=h,t=k;if(!u[a]){e=Ha(e);var w=kh(a,u,e);h=w.C;k=w.B}return function(){u[a](p,t)}}return e}
function kh(a,b,c){var d=[],e=[];b[a]=lh(d,e,c);return{C:function(){b[a]=mh;for(var f=0;f<d.length;f++)d[f]()},B:function(){b[a]=nh;for(var f=0;f<e.length;f++)e[f]()}}}function lh(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function mh(a){a()}function nh(a,b){b()};var qh=function(a,b){for(var c=[],d=0;d<sb.length;d++)if(a.xb[d]){var e=sb[d];var f=b.add();try{var h=ih(d,{C:f,B:f,terminate:f},a,d);h?c.push({Ue:d,Pe:Db(e),vg:h}):(oh(d,a),f())}catch(l){f()}}b.Vf();c.sort(ph);for(var k=0;k<c.length;k++)c[k].vg();return 0<c.length};function ph(a,b){var c,d=b.Pe,e=a.Pe;c=d>e?1:d<e?-1:0;var f;if(0!==c)f=c;else{var h=a.Ue,k=b.Ue;f=h>k?1:h<k?-1:0}return f}
function oh(a,b){if(!Pd)return;var c=function(d){var e=b.Wc(sb[d])?"3":"4",f=Bb(sb[d][Fb.Ud],b,[]);f&&f.length&&c(f[0].index);Sd(b.id,sb[d],e);var h=Bb(sb[d][Fb.Xd],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var rh=!1,sh=function(a,b,c,d,e){if("gtm.js"==b){if(rh)return!1;rh=!0}Rd(a,b);var f=Sg(a,d,e);de(a,"event",1);de(a,"ecommerce",1);de(a,"gtm");var h={id:a,name:b,Wc:Ag(c),xb:[],wh:[],Fe:function(){J("GTM",6)}};h.xb=Jb(h);var k=qh(h,f);"gtm.js"!==b&&"gtm.sync"!==b||ch(kd.s);if(!k)return k;for(var l=0;l<h.xb.length;l++)if(h.xb[l]){var m=sb[l];if(m&&!nd[String(m[Fb.xa])])return!0}return!1};var th=function(a,b){var c=zb(a,b);sb.push(c);return sb.length-1};function uh(a,b){}function vh(a,b){return wh()?uh(a,b):void 0}function wh(){var a=!1;return a};var xh=function(){this.eventModel={};this.targetConfig={};this.containerConfig={};this.h={};this.globalConfig={};this.C=function(){};this.B=function(){};this.eventId=void 0},yh=function(a){var b=new xh;b.eventModel=a;return b},zh=function(a,b){a.targetConfig=b;return a},Ah=function(a,b){a.containerConfig=b;return a},Bh=function(a,b){a.h=b;return a},Ch=function(a,b){a.globalConfig=b;return a},Dh=function(a,b){a.C=b;return a},Eh=function(a,b){a.B=b;return a};
xh.prototype.getWithConfig=function(a){if(void 0!==this.eventModel[a])return this.eventModel[a];if(void 0!==this.targetConfig[a])return this.targetConfig[a];if(void 0!==this.containerConfig[a])return this.containerConfig[a];if(void 0!==this.h[a])return this.h[a];if(void 0!==this.globalConfig[a])return this.globalConfig[a]};
var Fh=function(a){function b(e){xa(e,function(f){c[f]=null})}var c={};b(a.eventModel);b(a.targetConfig);b(a.containerConfig);b(a.globalConfig);var d=[];xa(c,function(e){d.push(e)});return d};var Gh;if(3===kd.Ob.length)Gh="g";else{var Hh="G";Hh="g";Gh=Hh}
var Ih={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:Gh,OPT:"o"},Jh=function(a){var b=kd.s.split("-"),c=b[0].toUpperCase(),d=Ih[c]||"i",e=a&&"GTM"===c?b[1]:"OPT"===c?b[1]:"",f;if(3===kd.Ob.length){var h=void 0;h=h||(eg()?"s":"o");f="2"+(h||"w")}else f=
"";return f+d+kd.Ob+e};function Kh(){var a=!1;return a}
function Lh(a,b,c){function d(r){var u;ld.reported_gclid||(ld.reported_gclid={});u=ld.reported_gclid;var p=f+(r?"gcu":"gcs");if(!u[p]){u[p]=!0;var t=[],w=function(A,z){z&&t.push(A+"="+encodeURIComponent(z))},v="https://www.google.com";
w("gclid",Mh(b,f));w("gclsrc",h);w("gtm",Jh(!c));var B=v+"/pagead/landing?"+t.join("&");tc(B)}}var e=Jf(),f=e.gclid||"",h=e.gclsrc,k=e.dclid||"",l=!a&&(!f||h&&"aw.ds"!==h?!1:!0),m=Kh();if(l||m){var q=""+He();m?Rc(function(){d();Oc(D.m)||Qc(function(){return d(!0)})},[D.m]):d()}}
function Mh(a,b){return b}
var Nh=function(a){var b=vh(a,"/pagead/conversion_async.js");return b?b:-1===navigator.userAgent.toLowerCase().indexOf("firefox")?Q("https://","http://","www.googleadservices.com/pagead/conversion_async.js"):"https://www.google.com/pagead/conversion_async.js"},Oh=!1,Ph=[],Qh=["aw","dc"],Rh=function(a){var b=F.google_trackConversion,c=a.gtm_onFailure;"function"==typeof b?b(a)||c():c()},Sh=function(){for(;0<Ph.length;)Rh(Ph.shift())},Th=function(a){if(!Oh){Oh=!0;Tg();var b=function(){Sh();Ph={push:Rh}};
eg()?b():jc(a,b,function(){Sh();Oh=!1})}},Uh=function(a){if(a){for(var b=[],c=0;c<a.length;++c){var d=a[c];d&&b.push({item_id:d.id,quantity:d.quantity,value:d.price,start_date:d.start_date,end_date:d.end_date})}return b}},Vh=function(a,b,c,d){function e(){var U=!1;U&&Hc()?Rc(function(){var L=Oc(D.m),K=!L&&void 0!=q(D.F)&&!1!==q(D.F);!y&&K&&(E.google_transport_url="https://pagead2.googlesyndication.com/");
P("gcs",Pc());Ph.push(E);L||Qc(function(){E=C(E);!y&&E.google_transport_url&&delete E.google_transport_url;P("gcs",Pc());P("gcu","1");Ph.push(E)})},[D.m]):Ph.push(E)}var f=bg(a),h=b==D.D,k=f.w[0],l=f.w[1],m=void 0!==l,q=function(U){return d.getWithConfig(U)},r=void 0!=q(D.F)&&!1!==q(D.F),u=!1!==q(D.La),p=q(D.Ka)||q(D.Y),t=q(D.X),w=q(D.da),v=q(D.ia),y=q(D.sa),x=Nh(y),B={prefix:p,domain:t,wb:w,flags:v};if(h){var A=q(D.wa)||{};u&&(xf(A[D.hb],!!A[D.I])&&Of(Qh,B),Lf(B),Qf(["aw","dc"],B));A[D.I]&&Pf(Qh,A[D.I],A[D.jb],!!A[D.ib],p);qg(f,d);Lh(!1,r,a);}var z=!1===q(D.Kd)||!1===q(D.mb);if(!h||!m&&!z)if(!0===q(D.Nd)&&(m=!1),!1!==q(D.ca)||m){var E={google_conversion_id:k,google_remarketing_only:!m,
onload_callback:d.C,gtm_onFailure:d.B,google_conversion_format:"3",google_conversion_color:"ffffff",google_conversion_domain:"",google_conversion_label:l,google_conversion_language:q(D.Na),google_conversion_value:q(D.ba),google_conversion_currency:q(D.ja),google_conversion_order_id:q(D.nb),google_user_id:q(D.pb),google_conversion_page_url:q(D.kb),google_conversion_referrer_url:q(D.lb),google_gtm:Jh()};m&&(E.google_transport_url=uh(y,"/"));E.google_restricted_data_processing=
q(D.Bc);eg()&&(E.opt_image_generator=function(){return new Image},E.google_enable_display_cookie_match=!1);!1===q(D.ca)&&(E.google_allow_ad_personalization_signals=!1);E.google_read_gcl_cookie_opt_out=!u;u&&p&&(E.google_gcl_cookie_prefix=p);var H=function(){var U=q(D.bc),L={event:b};if(ra(U)){J("GTM",26);for(var K=0;K<U.length;++K){var X=U[K],fa=q(X);void 0!==fa&&(L[X]=fa)}return L}var Y=d.eventModel;if(!Y)return null;C(Y,L);for(var sa=0;sa<D.Hd.length;++sa)delete L[D.Hd[sa]];
return L}();H&&(E.google_custom_params=H);!m&&q(D.S)&&(E.google_gtag_event_data={items:q(D.S),value:q(D.ba)});if(m&&b==D.na){E.google_conversion_merchant_id=q(D.Vd);E.google_basket_feed_country=q(D.Qd);E.google_basket_feed_language=q(D.Td);E.google_basket_discount=q(D.Pd);E.google_basket_transaction_type=b;E.google_disable_merchant_reported_conversions=!0===q(D.be);eg()&&(E.google_disable_merchant_reported_conversions=!0);var N=Uh(q(D.S));N&&(E.google_conversion_items=N)}var P=function(U,L){void 0!=
L&&""!==L&&(E.google_additional_conversion_params=E.google_additional_conversion_params||{},E.google_additional_conversion_params[U]=L)};m&&(P("vdnc",q(D.yd)),P("vdltv",q(D.Zd)));E.google_gtm_url_processor=function(U){r&&(U=tg(U));return U};var R=!0;R&&e()}Th(x)};
var Wh=function(a){return!(void 0===a||null===a||0===(a+"").length)},Xh=function(a,b){var c;if(2===b.W)return a("ord",ua(1E11,1E13)),!0;if(3===b.W)return a("ord","1"),a("num",ua(1E11,1E13)),!0;if(4===b.W)return Wh(b.sessionId)&&a("ord",b.sessionId),!0;if(5===b.W)c="1";else if(6===b.W)c=b.kd;else return!1;Wh(c)&&a("qty",c);Wh(b.Sb)&&a("cost",b.Sb);Wh(b.transactionId)&&a("ord",b.transactionId);return!0},Zh=function(a,b,c){function d(B,A,z){r.hasOwnProperty(B)||(A=String(A),q.push(";"+B+"="+(z?A:Yh(A))))}
var e=a.Pc,f=a.nd,h=a.protocol;h+=f?"//"+e+".fls.doubleclick.net/activityi":"//ad.doubleclick.net/activity";var k=";",l=!0;var m=!l&&a.zb;m&&(h="https://ade.googlesyndication.com/ddm/activity",k="/",f=!1);var q=[k,"src="+Yh(e),";type="+Yh(a.Sc),";cat="+Yh(a.rb)],r=a.og||{};xa(r,function(B,A){q.push(";"+Yh(B)+"="+Yh(A+""))});if(Xh(d,a)){Wh(a.vc)&&d("u",a.vc);Wh(a.uc)&&d("tran",a.uc);d("gtm",
Jh());!1===a.Rf&&d("npa","1");if(a.Oc){var u=void 0===a.zb?!0:!!a.zb,p=Xf("dc",a.Oa,u);p&&p.length&&d("gcldc",p.join("."));var t=Xf("aw",a.Oa,u);t&&t.length&&d("gclaw",t.join("."));var w=Yf(u);w&&d("gac",w);Se({prefix:a.Oa,
wb:a.lg,domain:a.kg,flags:a.Th});var v=Oe[Pe(a.Oa)];v&&d("auiddc",v)}Wh(a.fd)&&d("prd",a.fd,!0);xa(a.rd,function(B,A){d(B,A)});q.push(b||"");if(Wh(a.ic)){var y=a.ic||"";m&&(y=qe(y));d("~oref",y)}var x=h+q.join("")+"?";f?lc(x,a.C):mc(x,a.C,a.B)}else I(a.B)},Yh=encodeURIComponent,$h=function(a,b){var c=!1;c&&Hc()?Rc(function(){Zh(a,b);Oc(D.m)||
Qc(function(){Zh(a,b,!0)})},[D.m]):Zh(a,b)};
var ai=function(a,b,c,d){function e(){var f={config:a,gtm:Jh()};c&&(Se(d),f.auiddc=Oe[Pe(d.prefix)]);b&&(f.loadInsecure=b);void 0===F.__dc_ns_processor&&(F.__dc_ns_processor=[]);F.__dc_ns_processor.push(f);jc((b?"http":"https")+"://www.googletagmanager.com/dclk/ns/v1.js")}Oc(D.m)?e():Qc(e)},bi=function(a){var b=/^u([1-9]\d?|100)$/,c=a.getWithConfig(D.$d)||{},d=Fh(a),e={},f={};if(Qa(c))for(var h in c)if(c.hasOwnProperty(h)&&b.test(h)){var k=c[h];g(k)&&(e[h]=k)}for(var l=0;l<d.length;l++){var m=d[l];
b.test(m)&&(e[m]=m)}for(var q in e)e.hasOwnProperty(q)&&(f[q]=a.getWithConfig(e[q]));return f},ci=function(a){function b(l,m,q){void 0!==q&&0!==(q+"").length&&d.push(l+m+":"+c(q+""))}var c=encodeURIComponent,d=[],e=a(D.S)||[];if(ra(e))for(var f=0;f<e.length;f++){var h=e[f],k=f+1;b("i",k,h.id);b("p",k,h.price);b("q",k,h.quantity);b("c",k,a(D.$e));b("l",k,a(D.Na))}return d.join("|")},di=function(a){var b=/^DC-(\d+)(\/([\w-]+)\/([\w-]+)\+(\w+))?$/.exec(a);if(b){var c={standard:2,unique:3,per_session:4,
transactions:5,items_sold:6,"":1}[(b[5]||"").toLowerCase()];if(c)return{containerId:"DC-"+b[1],aa:b[3]?a:"",Lf:b[1],Kf:b[3]||"",rb:b[4]||"",W:c}}},fi=function(a,b,c,d){var e=di(a);if(e){var f=function(ba){return d.getWithConfig(ba)},h=!1!==f(D.La),k=f(D.Ka)||f(D.Y),l=f(D.X),m=f(D.da),q=f(D.ia),r=f(D.cf),u=3===fg();if(b===D.D){var p={prefix:k,domain:l,wb:m,flags:q},t=f(D.wa)||{},w=f(D.Ib),v=void 0===w?!0:!!w;if(h){if(xf(t[D.hb],!!t[D.I])){Of(ei,p);}Lf(p);
Qf(ei,p);Zf(v,p)}if(t[D.I]){Pf(ei,t[D.I],t[D.jb],!!t[D.ib],k);}if(r&&r.exclusion_parameters&&r.engines)if(eg()){}else ai(r,u,h,p);I(d.C)}else{var x={},B=f(D.bf);if(Qa(B))for(var A in B)if(B.hasOwnProperty(A)){var z=B[A];void 0!==z&&null!==z&&(x[A]=z)}var E="";if(5===e.W||6===e.W)E=ci(f);var H=bi(d),N=!0===f(D.Kh);if(eg()&&N){N=!1}var P=void 0!=f(D.F)&&!1!==f(D.F),R={rb:e.rb,Oc:h,kg:l,lg:m,Oa:k,Sb:f(D.ba),W:e.W,og:x,Pc:e.Lf,Sc:e.Kf,B:d.B,C:d.C,ic:oe(pe(F.location.href)),fd:E,protocol:u?
"http:":"https:",kd:f(D.zf),nd:N,sessionId:f(D.fc),uc:void 0,transactionId:f(D.nb),vc:void 0,rd:H,Rf:!1!==f(D.ca),hg:d.hg,zb:P};$h(R)}}else I(d.B)},ei=["aw","dc"];
var hi=function(a){function b(){var e=c,f=gi(JSON.stringify(a[e])),h="https://www.google.com/travel/flights/click/conversion/"+gi(a.conversion_id)+"/?"+e+"="+f;if(a.conversionLinkerEnabled){var k=Xf("gf",a.cookiePrefix,void 0);if(k&&k.length)for(var l=0;l<k.length;l++)h+="&gclgf="+gi(k[l])}mc(h,a.onSuccess,a.onFailure)}var c;if(a.hasOwnProperty("conversion_data"))c="conversion_data";else if(a.hasOwnProperty("price"))c="price";else return;var d=!0;
d=Oc(D.m);d?b():Qc(b)},gi=function(a){return null===a||void 0===a||0===String(a).length?"":encodeURIComponent(String(a))};
var ii=/.*\.google\.com(:\d+)?\/booking\/flights.*/,ki=function(a,b,c,d){var e=function(x){return d.getWithConfig(x)},f=bg(a).w[0],h=!1!==e(D.La),k=e(D.Ka)||e(D.Y),l=e(D.X),m=e(D.da),q=e(D.ia);if(b===D.D){if(h){var r=function(){var x={prefix:k,domain:l,flags:q,wb:m};Lf(x);Qf(["aw","dc"],x)},u=!0;u=Oc(D.m);u?r():Qc(r)}I(d.C)}else{var p={conversion_id:f,onFailure:d.B,onSuccess:d.C,conversionLinkerEnabled:h,
cookiePrefix:k},t=ii.test(F.location.href);if(b!==D.na)I(d.B);else{var v={partner_id:f,trip_type:e(D.Ff),total_price:e(D.ba),currency:e(D.ja),is_direct_booking:t,flight_segment:ji(e(D.S))},y=e(D.he);y&&"object"===typeof y&&(v.passengers_total=za(y.total),v.passengers_adult=
za(y.adult),v.passengers_child=za(y.child),v.passengers_infant_in_seat=za(y.infant_in_seat),v.passengers_infant_in_lap=za(y.infant_in_lap));p.conversion_data=v;hi(p)}}},ji=function(a){if(a){for(var b=[],c=0,d=0;d<a.length;++d){var e=a[d];!e||void 0!==e.category&&""!==e.category&&"FlightSegment"!==e.category||(b[c]={cabin:e.travel_class,fare_product:e.fare_product,booking_code:e.booking_code,flight_number:e.flight_number,origin:e.origin,destination:e.destination,departure_date:e.start_date},c++)}return b}};

var pi=function(a,b,c,d){function e(){if(k){var A=b===D.Ja?Xf("aw",l,void 0):Xf("ha",l,void 0);v+=A.map(function(z){return"&gclha="+encodeURIComponent(z)}).join("")}mc(v,d.C,d.B)}var f=bg(a),h=function(A){return d.getWithConfig(A)},k=!1!==h(D.La),l=h(D.Ka)||h(D.Y),m=h(D.X),q=h(D.da),r=h(D.ia);if(b===D.D){var u=function(){if(k){var A={prefix:l,domain:m,flags:r,wb:q};xf(p[D.hb],!!p[D.I])&&Of(li,A);Lf(A);Qf(["aw","dc"],A)}if(p[D.I]){Pf(li,p[D.I],p[D.jb],!!p[D.ib],
l);}},p=h(D.wa)||{},t=!0;t=Oc(D.m);t?u():Qc(u);I(d.C)}else{var w=f.w[0];if(/^\d+$/.test(w)){var v="https://www.googletraveladservices.com/travel/clk/pagead/conversion/"+encodeURIComponent(w)+"/";if(b===D.na){var y=mi(h(D.nb),h(D.ba),h(D.ja),h(D.S));y=encodeURIComponent(ni(y));v+="?data="+y}else if(b===D.Ja){var x=oi(w,h(D.ba),h(D.ee),h(D.ja),h(D.S));x=encodeURIComponent(ni(x));
v+="?label=FH&guid=ON&script=0&ord="+ua(0,4294967295)+("&price="+x)}else{I(d.B);return}var B=!0;B=Oc(D.m);B?e():Qc(e)}else I(d.B)}},mi=function(a,b,c,d){var e={};qi(a)&&(e.hct_booking_xref=a);g(c)&&(e.hct_currency_code=c);qi(b)&&(e.hct_total_price=b,e.hct_base_price=b);if(!ra(d)||0===d.length)return e;var f=d[0];if(!Qa(f))return e;qi(f[ri.za])&&(e.hct_partner_hotel_id=f[ri.za]);g(f[ri.oa])&&(e.hct_checkin_date=
f[ri.oa]);g(f[ri.Za])&&(e.hct_checkout_date=f[ri.Za]);return e},oi=function(a,b,c,d,e){function f(q){void 0===q&&(q=0);if(qi(q))return l+q}function h(q,r,u){u(r)&&(k[q]=r)}var k={};k.partner_id=a;var l="USD";g(d)&&(l=k.currency=d);qi(b)&&(k.base_price_value_string=f(b),k.display_price_value_string=f(b));qi(c)&&(k.tax_price_value_string=f(c));g("LANDING_PAGE")&&(k.page_type="LANDING_PAGE");if(!ra(e)||0==e.length)return k;var m=e[0];if(!Qa(m))return k;qi(m[ri.Od])&&(k.total_price_value_string=f(m[ri.Od]));
h("partner_hotel_id",m[ri.za],qi);h("check_in_date",m[ri.oa],g);h("check_out_date",m[ri.Za],g);h("adults",m[ri.uf],si);h(ri.Sd,m[ri.Sd],g);h(ri.Rd,m[ri.Rd],g);return k},ni=function(a){var b=[];xa(a,function(c,d){b.push(c+"="+d)});return b.join(";")},qi=function(a){return g(a)||si(a)},si=function(a){return"number"===typeof a},ri={za:"id",Od:"price",oa:"start_date",Za:"end_date",uf:"occupancy",Sd:"room_id",Rd:"rate_rule_id"},li=["ha"];
var vi=function(a,b,c,d){var e=bg(a),f=!1!==d.getWithConfig(D.La),h=d.getWithConfig(D.Ka)||d.getWithConfig(D.Y),k=d.getWithConfig(D.ia);if(b===D.D){if(f){var l=function(){var r={prefix:h,flags:k};Lf(r);Qf(["aw","dc"],r)},m=!0;m=Oc(D.m);m?l():Qc(l)}I(d.C)}else if(b===D.na){var q=ti(d.getWithConfig(D.ba),d.getWithConfig(D.ja),d.getWithConfig(D.he),d.getWithConfig(D.S));ui(e.w[0],q,f,h,d.C,d.B)}else I(d.B)},
ti=function(a,b,c,d){var e={};if(g(a)||"number"===typeof a)e.base_price_value_string=""+b+a,e.tax_price_value_string=b+"0";Qa(c)&&"number"===typeof c.adult&&(e.adult_count=c.adult);if(!ra(d)||0===d.length)return e;var f=d[0];if(!Qa(f))return e;if(g(f[wi.za])||"number"===typeof f[wi.za])e.partner_hotel_id=f[wi.za];g(f[wi.oa])&&(e.hotel_checkin_date=f[wi.oa]);var h=f[wi.Za];g(h)&&(e.hotel_checkout_date=h,e.return_date=h);if(1===d.length)return e;var k=d[1];if(!Qa(k))return e;e.origin_airport=k[wi.wf];
e.departure_date=k[wi.oa];for(var l=[k[wi.Yd]],m=[k[wi.zd]],q=[k[wi.Fd]],r=null!==h&&g(h),u=1,p=2;p<d.length;p++){var t=d[p];Qa(t)&&(l.push(t[wi.Yd]),m.push(t[wi.zd]),q.push(t[wi.Fd]),r&&t[wi.oa]<h&&(u=p))}r&&(e.destination_airport=d[u][wi.af]);e.cabins=l.join(",");e.booking_codes=m.join(",");e.flight_numbers=q.join(",");return e},ui=function(a,b,c,d,e,f){function h(){c&&(m+=Xf("gp",d,void 0).map(function(r){return"&gclgp="+encodeURIComponent(r)}).join(""));mc(m,e,f)}if(/^\d+$/.test(a)){var k=encodeURIComponent(a),
l=encodeURIComponent(xi(b)),m="https://www.googletraveladservices.com/travel/vacations/clk/pagead/conversion/"+k+"/?data="+l,q=!0;q=Oc(D.m);q?h():Qc(h)}else I(f)},xi=function(a){var b=[],c;for(c in a)a.hasOwnProperty(c)&&b.push(c+"="+a[c]);return b.join(";")},wi={za:"id",oa:"start_date",Za:"end_date",wf:"origin",Yd:"travel_class",zd:"booking_code",Fd:"flight_number",af:"destination"};
var Hi=function(a,b,c){var d="https://www.google-analytics.com/analytics.js",e=$g();if(oa(e)){var f="gtag_"+a.split("-").join("_"),h=function(v){var y=[].slice.call(arguments,0);y[0]=f+"."+y[0];e.apply(window,y)},k=function(){var v=function(A,z){for(var E=0;z&&E<z.length;E++)h(A,z[E])},y=yi(b,c);if(y){var x=y.action;if("impressions"===x)v("ec:addImpression",y.Hg);else if("promo_click"===x||"promo_view"===x){var B=y.gd;v("ec:addPromo",y.gd);B&&0<B.length&&"promo_click"===x&&h("ec:setAction",x)}else v("ec:addProduct",
y.Sa),h("ec:setAction",x,y.qb)}},l=function(){if(eg()){}else{var v=c.getWithConfig(D.tf);v&&(h("require",v,{dataLayer:"dataLayer"}),h("require","render"))}},m=zi(a,f,b,c);Ai(f,m.Pa)&&(e(function(){Yg()&&Yg().remove(f)}),Bi[f]=!1);e("create",a,m.Pa);
(function(){var v=c.getWithConfig("custom_map");e(function(){if(Qa(v)){var y=m.qa,x=Yg().getByName(f),B;for(B in v)if(v.hasOwnProperty(B)&&/^(dimension|metric)\d+$/.test(B)&&void 0!=v[B]){var A=x.get(Ci(v[B]));Di(y,B,A)}}})})();(function(v){if(v){var y={};if(Qa(v))for(var x in Ei)Ei.hasOwnProperty(x)&&Fi(Ei[x],x,v[x],y);h("require","linkid",y)}})(m.linkAttribution);var r=m[D.wa];if(r&&r[D.I]){var u=r[D.jb];ah(f+".",r[D.I],void 0===u?!!r.use_anchor:"fragment"===u,!!r[D.ib])}var p=function(v,y,x){x&&
(y=""+y);m.qa[v]=y};if(b===D.ud)l(),h("send","pageview",m.qa);else if(b===D.D){l();qg(a,c);0!=m.sendPageView&&h("send","pageview",m.qa)}else"screen_view"===b?h("send","screenview",m.qa):"timing_complete"===b?(p("timingCategory",m.eventCategory,!0),p("timingVar",m.name,!0),p("timingValue",za(m.value)),void 0!==m.eventLabel&&p("timingLabel",m.eventLabel,!0),h("send",
"timing",m.qa)):"exception"===b?h("send","exception",m.qa):"optimize.callback"!==b&&(0<=n([D.sd,"select_content",D.Ja,D.Rb,D.Tb,D.eb,"set_checkout_option",D.na,D.Xb,"view_promotion","checkout_progress"],b)&&(h("require","ec","ec.js"),k()),p("eventCategory",m.eventCategory,!0),p("eventAction",m.eventAction||b,!0),void 0!==m.eventLabel&&p("eventLabel",m.eventLabel,!0),void 0!==m.value&&p("eventValue",za(m.value)),h("send","event",m.qa));if(!Gi){Gi=!0;Tg();var t=c.B,w=function(){Yg().loaded||t()};eg()?
I(w):jc(d,w,t)}}else I(c.B)},Ii=function(a,b,c,d){Rc(function(){Hi(a,b,d)},[D.K,D.m])},Gi,Bi={},Ji={client_id:1,client_storage:"storage",cookie_name:1,cookie_domain:1,cookie_expires:1,cookie_path:1,cookie_update:1,cookie_flags:1,sample_rate:1,site_speed_sample_rate:1,use_amp_client_id:1,store_gac:1,conversion_linker:"storeGac"},Ki={anonymize_ip:1,app_id:1,app_installer_id:1,app_name:1,app_version:1,campaign:{name:"campaignName",source:"campaignSource",medium:"campaignMedium",term:"campaignTerm",content:"campaignContent",
id:"campaignId"},currency:"currencyCode",description:"exDescription",fatal:"exFatal",language:1,non_interaction:1,page_hostname:"hostname",page_referrer:"referrer",page_path:"page",page_location:"location",page_title:"title",screen_name:1,transport_type:"transport",user_id:1},Li={content_id:1,event_category:1,event_action:1,event_label:1,link_attribution:1,linker:1,method:1,name:1,send_page_view:1,value:1},Ei={cookie_name:1,cookie_expires:"duration",levels:1},Mi={anonymize_ip:1,fatal:1,non_interaction:1,
use_amp_client_id:1,send_page_view:1,store_gac:1,conversion_linker:1},Fi=function(a,b,c,d){if(void 0!==c)if(Mi[b]&&(c=Aa(c)),"anonymize_ip"!==b||c||(c=void 0),1===a)d[Ci(b)]=c;else if(g(a))d[a]=c;else for(var e in a)a.hasOwnProperty(e)&&void 0!==c[e]&&(d[a[e]]=c[e])},Ci=function(a){return a&&g(a)?a.replace(/(_[a-z])/g,function(b){return b[1].toUpperCase()}):a},Ni=function(a){var b="general";0<=n([D.Id,D.Rb,D.Jd,D.eb,"checkout_progress",D.na,D.Xb,D.Tb,"set_checkout_option"],a)?b="ecommerce":0<=n("generate_lead login search select_content share sign_up view_item view_item_list view_promotion view_search_results".split(" "),
a)?b="engagement":"exception"===a&&(b="error");return b},Di=function(a,b,c){a.hasOwnProperty(b)||(a[b]=c)},Oi=function(a){if(ra(a)){for(var b=[],c=0;c<a.length;c++){var d=a[c];if(void 0!=d){var e=d.id,f=d.variant;void 0!=e&&void 0!=f&&b.push(String(e)+"."+String(f))}}return 0<b.length?b.join("!"):void 0}},zi=function(a,b,c,d){var e=function(z){return d.getWithConfig(z)},f={},h={},k={},l=Oi(e(D.kf));l&&Di(h,"exp",l);var m=e("custom_map");if(Qa(m))for(var q in m)if(m.hasOwnProperty(q)&&/^(dimension|metric)\d+$/.test(q)&&
void 0!=m[q]){var r=e(String(m[q]));void 0!==r&&Di(h,q,r)}for(var u=Fh(d),p=0;p<u.length;++p){var t=u[p],w=e(t);if(Li.hasOwnProperty(t))Fi(Li[t],t,w,f);else if(Ki.hasOwnProperty(t))Fi(Ki[t],t,w,h);else if(Ji.hasOwnProperty(t))Fi(Ji[t],t,w,k);else if(/^(dimension|metric|content_group)\d+$/.test(t))Fi(1,t,w,h);else if("developer_id"===t){}else t===D.Y&&0>n(u,D.ac)&&
(k.cookieName=w+"_ga")}Di(k,"cookieDomain","auto");Di(h,"forceSSL",!0);Di(f,"eventCategory",Ni(c));0<=n(["view_item","view_item_list","view_promotion","view_search_results"],c)&&Di(h,"nonInteraction",!0);"login"===c||"sign_up"===c||"share"===c?Di(f,"eventLabel",e(D.sf)):"search"===c||"view_search_results"===c?Di(f,"eventLabel",e(D.Cf)):"select_content"===c&&Di(f,"eventLabel",e(D.Ze));var y=f[D.wa]||{},x=y[D.hb];x||0!=x&&y[D.I]?k.allowLinker=!0:!1===x&&Di(k,"useAmpClientId",!1);if(!1===e(D.Lh)||!1===
e(D.ca)||!1===e(D.$a))h.allowAdFeatures=!1;!1===e(D.ca)&&J("GTM",27);k.name=b;h["&gtm"]=Jh(!0);h.hitCallback=d.C;var B=e(D.sa)||e(D.pf)||Zd("gtag.remote_config."+a+".url",2),A=e(D.lf)||Zd("gtag.remote_config."+a+".dualId",2);B&&null!=gc&&(k._x_19=B);A&&(k._x_20=A);f.qa=h;f.Pa=k;return f},yi=function(a,b){function c(w){var v=
C(w);v.list=w.list_name;v.listPosition=w.list_position;v.position=w.list_position||w.creative_slot;v.creative=w.creative_name;return v}function d(w){for(var v=[],y=0;w&&y<w.length;y++)w[y]&&v.push(c(w[y]));return v.length?v:void 0}function e(w){return{id:f(D.nb),affiliation:f(D.df),revenue:f(D.ba),tax:f(D.ee),shipping:f(D.jf),coupon:f(D.ef),list:f(D.vd)||w}}for(var f=function(w){return b.getWithConfig(w)},h=f(D.S),k,l=0;h&&l<h.length&&!(k=h[l][D.vd]);l++);var m=f("custom_map");if(Qa(m))for(var q=
0;h&&q<h.length;++q){var r=h[q],u;for(u in m)m.hasOwnProperty(u)&&/^(dimension|metric)\d+$/.test(u)&&void 0!=m[u]&&Di(r,u,r[m[u]])}var p=null,t=f(D.ff);a===D.na||a===D.Xb?p={action:a,qb:e(),Sa:d(h)}:a===D.Rb?p={action:"add",Sa:d(h)}:a===D.Tb?p={action:"remove",Sa:d(h)}:a===D.Ja?p={action:"detail",qb:e(k),Sa:d(h)}:a===D.sd?p={action:"impressions",Hg:d(h)}:"view_promotion"===a?p={action:"promo_view",gd:d(t)}:"select_content"===a&&t&&0<t.length?p={action:"promo_click",gd:d(t)}:"select_content"===a?p=
{action:"click",qb:{list:f(D.vd)||k},Sa:d(h)}:a===D.eb||"checkout_progress"===a?p={action:"checkout",Sa:d(h),qb:{step:a===D.eb?1:f(D.de),option:f(D.ce)}}:"set_checkout_option"===a&&(p={action:"checkout_option",qb:{step:f(D.de),option:f(D.ce)}});p&&(p.Uh=f(D.ja));return p},Pi={},Ai=function(a,b){var c=Pi[a];Pi[a]=C(b);if(!c)return!1;for(var d in b)if(b.hasOwnProperty(d)&&b[d]!==c[d])return!0;for(var e in c)if(c.hasOwnProperty(e)&&c[e]!==b[e])return!0;return!1};var Qi={},Ri=["G","GP"];Qi.We="";var Si=Qi.We.split(",");function Ti(){var a=ld;return a.gcq=a.gcq||new Ui}
var Vi=function(a,b,c){Ti().register(a,b,c)},Wi=function(a,b,c,d){Ti().push("event",[b,a],c,d)},Xi=function(a,b){Ti().push("config",[a],b)},Yi={},Zi=function(a){return!0},$i=function(){this.status=1;this.containerConfig={};this.targetConfig={};this.i={};this.o=null;this.h=!1},aj=function(a,b,c,d,e){this.type=a;this.o=b;this.aa=c||"";
this.h=d;this.i=e},Ui=function(){this.o={};this.i={};this.h=[]},bj=function(a,b){var c=bg(b);return a.o[c.containerId]=a.o[c.containerId]||new $i},cj=function(a,b,c){if(b){var d=bg(b);if(d&&1===bj(a,b).status&&Zi(d.prefix)){bj(a,b).status=2;var e={};Pd&&(e.timeoutId=F.setTimeout(function(){J("GTM",38);Bd()},3E3));a.push("require",[e],d.containerId);Yi[d.containerId]=Ea();if(eg()){}else{var h="/gtag/js?id="+encodeURIComponent(d.containerId)+"&l=dataLayer&cx=c",k=("http:"!=F.location.protocol?"https:":"http:")+("//www.googletagmanager.com"+h),l=vh(c,h)||k;jc(l)}}}},dj=function(a,b,c,d){if(d.aa){var e=bj(a,d.aa),
f=e.o;if(f){var h=C(c),k=C(e.targetConfig[d.aa]),l=C(e.containerConfig),m=C(e.i),q=C(a.i),r=Zd("gtm.uniqueEventId"),u=bg(d.aa).prefix,p=Eh(Dh(Ch(Bh(Ah(zh(yh(h),k),l),m),q),function(){Td(r,u,"2");}),function(){Td(r,u,"3");});try{Td(r,u,"1");f(d.aa,b,d.o,p)}catch(t){
Td(r,u,"4");}}}};
Ui.prototype.register=function(a,b,c){if(3!==bj(this,a).status){bj(this,a).o=b;bj(this,a).status=3;c&&(bj(this,a).i=c);var d=bg(a),e=Yi[d.containerId];if(void 0!==e){var f=ld[d.containerId].bootstrap,h=d.prefix.toUpperCase();ld[d.containerId]._spx&&(h=h.toLowerCase());var k=Zd("gtm.uniqueEventId"),l=h,m=Ea()-f;if(Pd&&!Gd[k]){k!==Cd&&(Ad(),Cd=k);var q=l+"."+Math.floor(f-e)+"."+Math.floor(m);Ld=Ld?Ld+","+q:"&cl="+q}delete Yi[d.containerId]}this.flush()}};
Ui.prototype.push=function(a,b,c,d){var e=Math.floor(Ea()/1E3);cj(this,c,b[0][D.sa]||this.i[D.sa]);this.h.push(new aj(a,e,c,b,d));d||this.flush()};
Ui.prototype.flush=function(a){for(var b=this;this.h.length;){var c=this.h[0];if(c.i)c.i=!1,this.h.push(c);else switch(c.type){case "require":if(3!==bj(this,c.aa).status&&!a)return;Pd&&F.clearTimeout(c.h[0].timeoutId);break;case "set":xa(c.h[0],function(l,m){C(La(l,m),b.i)});break;case "config":var d=c.h[0],e=!!d[D.hc];delete d[D.hc];var f=bj(this,c.aa),h=bg(c.aa),k=h.containerId===h.id;e||(k?f.containerConfig={}:f.targetConfig[c.aa]={});f.h&&e||dj(this,D.D,d,c);f.h=!0;delete d[D.va];k?C(d,f.containerConfig):
C(d,f.targetConfig[c.aa]);break;case "event":dj(this,c.h[1],c.h[0],c)}this.h.shift()}};var ej=["GP","G"],fj="G".split(/,/);fj.push("GF");fj.push("HA");fj.push("AW");var gj=!1;gj=!0;var hj=null,ij={},jj={},kj;function lj(a,b){var c={event:a};b&&(c.eventModel=C(b),b[D.Ac]&&(c.eventCallback=b[D.Ac]),b[D.Jb]&&(c.eventTimeout=b[D.Jb]));return c}
var mj=function(){hj=hj||!ld.gtagRegistered;ld.gtagRegistered=!0;return hj},nj=function(a){if(void 0===jj[a.id]){var b;switch(a.prefix){case "UA":b=th("gtagua",{trackingId:a.id});break;case "AW":b=th("gtagaw",{conversionId:a});break;case "DC":b=th("gtagfl",{targetId:a.id});break;case "GF":b=th("gtaggf",{conversionId:a});break;case "HA":b=th("gtagha",{conversionId:a});break;case "GP":b=th("gtaggp",{conversionId:a.id});break;default:return}if(!kj){var c=zb("v",{name:"send_to",dataLayerVersion:2});pb.push(c);
kj=["macro",pb.length-1]}var d={arg0:kj,arg1:a.id,ignore_case:!1};d[Fb.xa]="_lc";rb.push(d);var e={"if":[rb.length-1],add:[b]};e["if"]&&(e.add||e.block)&&qb.push(e);jj[a.id]=b}},oj=function(a){xa(ij,function(b,c){var d=n(c,a);0<=d&&c.splice(d,1)})},pj=function(a){if(a.containerId!==kd.s&&"G"!==a.prefix){var b;switch(a.prefix){case "UA":b=14;break;case "AW":b=15;break;case "DC":b=16;break;default:b=17}J("GTM",b)}};
var qj={config:function(a){var b=a[2]||{};if(2>a.length||!g(a[1])||!Qa(b))return;var c=bg(a[1]);if(!c)return;oj(c.id);var d=c.id,e=b[D.yc]||"default";e=e.toString().split(",");for(var f=0;f<e.length;f++)ij[e[f]]=ij[e[f]]||[],ij[e[f]].push(d);delete b[D.yc];xd();if(mj()){C(b);if(gj&&-1!==n(fj,c.prefix)||-1!==n(ej,c.prefix)){"G"===c.prefix&&(b[D.va]=!0);Xi(b,c.id);return}nj(c);pj(c)}ce("gtag.targets."+c.id,void 0);ce("gtag.targets."+c.id,C(b));var h={};h[D.ya]=c.id;return lj(D.D,
h);},event:function(a){var b=a[1];if(g(b)&&!(3<a.length)){var c;if(2<a.length){if(!Qa(a[2])&&void 0!=a[2])return;c=a[2]}var d=lj(b,c);var e;var f=c&&c[D.ya];void 0===f&&(f=Zd(D.ya,2),void 0===f&&(f="default"));if(g(f)||ra(f)){for(var h=f.toString().replace(/\s+/g,"").split(","),k=[],l=0;l<h.length;l++)0<=h[l].indexOf("-")?k.push(h[l]):k=k.concat(ij[h[l]]||[]);e=dg(k)}else e=void 0;var m=e;if(!m)return;var q=mj();xd();for(var r=[],u=0;q&&u<
m.length;u++){var p=m[u];pj(p);if(gj&&-1!==n(fj,p.prefix)||-1!==n(ej,p.prefix)){var t=C(c);"G"===p.prefix&&(t[D.va]=!0);Wi(b,t,p.id)}else nj(p);r.push(p.id)}d.eventModel=d.eventModel||{};0<m.length?d.eventModel[D.ya]=r.join():delete d.eventModel[D.ya];return d}},js:function(a){if(2==a.length&&a[1].getTime)return{event:"gtm.js","gtm.start":a[1].getTime()}},policy:function(){},set:function(a){var b;2==a.length&&Qa(a[1])?b=C(a[1]):3==a.length&&g(a[1])&&(b={},Qa(a[2])||ra(a[2])?
b[a[1]]=C(a[2]):b[a[1]]=a[2]);if(b){if(mj()){var c=C(b);Ti().push("set",[c]);C(b)}b._clear=!0;return b}}};var rj={policy:!0};var sj=function(a,b){var c=a.hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}},uj=function(a){var b=tj(),c=b&&b.hide;c&&c.end&&(c[a]=!0)};var vj=!1,wj=[];function xj(){if(!vj){vj=!0;for(var a=0;a<wj.length;a++)I(wj[a])}}var yj=function(a){vj?I(a):wj.push(a)};var Qj=function(a){if(Pj(a))return a;this.h=a};Qj.prototype.Dg=function(){return this.h};var Pj=function(a){return!a||"object"!==Oa(a)||Qa(a)?!1:"getUntrustedUpdateValue"in a};Qj.prototype.getUntrustedUpdateValue=Qj.prototype.Dg;var Rj=[],Sj=!1,Tj=function(a){return F["dataLayer"].push(a)},Uj=function(a){var b=ld["dataLayer"],c=b?b.subscribers:1,d=0;return function(){++d===c&&a()}};
function Vj(a){var b=a._clear;xa(a,function(f,h){"_clear"!==f&&(b&&ce(f,void 0),ce(f,h))});rd||(rd=a["gtm.start"]);var c=a.event;if(!c)return!1;var d=a["gtm.uniqueEventId"];d||(d=xd(),a["gtm.uniqueEventId"]=d,ce("gtm.uniqueEventId",d));td=c;var e=Wj(a);td=null;switch(c){case "gtm.init":J("GTM",19),e&&J("GTM",20)}return e}
function Wj(a){var b=a.event,c=a["gtm.uniqueEventId"],d,e=ld.zones;d=e?e.checkState(kd.s,c):Cg;return d.active?sh(c,b,d.isWhitelisted,a.eventCallback,a.eventTimeout)?!0:!1:!1}
function Xj(){for(var a=!1;!Sj&&0<Rj.length;){Sj=!0;delete Wd.eventModel;Yd();var b=Rj.shift();if(null!=b){var c=Pj(b);if(c){var d=b;b=Pj(d)?d.getUntrustedUpdateValue():void 0;for(var e=["gtm.whitelist","gtm.blacklist","tagTypeBlacklist"],f=0;f<e.length;f++){var h=e[f],k=Zd(h,1);if(ra(k)||Qa(k))k=C(k);Xd[h]=k}}try{if(oa(b))try{b.call($d)}catch(w){}else if(ra(b)){var l=b;if(g(l[0])){var m=
l[0].split("."),q=m.pop(),r=l.slice(1),u=Zd(m.join("."),2);if(void 0!==u&&null!==u)try{u[q].apply(u,r)}catch(w){}}}else{var p=b;if(p&&("[object Arguments]"==Object.prototype.toString.call(p)||Object.prototype.hasOwnProperty.call(p,"callee"))){a:{if(b.length&&g(b[0])){var t=qj[b[0]];if(t&&(!c||!rj[b[0]])){b=t(b);break a}}b=void 0}if(!b){Sj=!1;continue}}a=Vj(b)||a}}finally{c&&Yd(!0)}}Sj=!1}
return!a}function Yj(){var a=Xj();try{sj(F["dataLayer"],kd.s)}catch(b){}return a}
var ak=function(){var a=hc("dataLayer",[]),b=hc("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};Kg(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});yj(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||0)+1;var c=a.push;a.push=function(){var d;if(0<ld.SANDBOXED_JS_SEMAPHORE){d=[];for(var e=0;e<arguments.length;e++)d[e]=new Qj(arguments[e])}else d=[].slice.call(arguments,0);var f=c.apply(a,d);Rj.push.apply(Rj,d);if(300<
this.length)for(J("GTM",4);300<this.length;)this.shift();var h="boolean"!==typeof f||f;return Xj()&&h};Rj.push.apply(Rj,a.slice(0));Zj()&&I(Yj)},Zj=function(){var a=!0;return a};var bk={};bk.Kb=new String("undefined");
var ck=function(a){this.h=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===bk.Kb?b:a[d]);return c.join("")}};ck.prototype.toString=function(){return this.h("undefined")};ck.prototype.valueOf=ck.prototype.toString;bk.Ef=ck;bk.Ic={};bk.mg=function(a){return new ck(a)};var dk={};bk.oh=function(a,b){var c=xd();dk[c]=[a,b];return c};bk.ne=function(a){var b=a?0:1;return function(c){var d=dk[c];if(d&&"function"===typeof d[b])d[b]();dk[c]=void 0}};bk.Mg=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=
b||8===a[d],c=c||16===a[d];return b&&c};bk.eh=function(a){if(a===bk.Kb)return a;var b=xd();bk.Ic[b]=a;return'google_tag_manager["'+kd.s+'"].macro('+b+")"};bk.Wg=function(a,b,c){a instanceof bk.Ef&&(a=a.h(bk.oh(b,c)),b=na);return{Uc:a,C:b}};var ek=function(a,b,c){function d(f,h){var k=f[h];return k}var e={event:b,"gtm.element":a,"gtm.elementClasses":d(a,"className"),"gtm.elementId":a["for"]||pc(a,"id")||"","gtm.elementTarget":a.formTarget||d(a,"target")||""};c&&(e["gtm.triggers"]=c.join(","));e["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||d(a,"href")||a.src||a.code||a.codebase||
"";return e},fk=function(a){ld.hasOwnProperty("autoEventsSettings")||(ld.autoEventsSettings={});var b=ld.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},gk=function(a,b,c){fk(a)[b]=c},hk=function(a,b,c,d){var e=fk(a),f=Fa(e,b,d);e[b]=c(f)},ik=function(a,b,c){var d=fk(a);return Fa(d,b,c)};var jk=["input","select","textarea"],kk=["button","hidden","image","reset","submit"],lk=function(a){var b=a.tagName.toLowerCase();return!ta(jk,function(c){return c===b})||"input"===b&&ta(kk,function(c){return c===a.type.toLowerCase()})?!1:!0},mk=function(a){return a.form?a.form.tagName?a.form:G.getElementById(a.form):sc(a,["form"],100)},nk=function(a,b,c){if(!a.elements)return 0;for(var d=b.getAttribute(c),e=0,f=1;e<a.elements.length;e++){var h=a.elements[e];if(lk(h)){if(h.getAttribute(c)===d)return f;
f++}}return 0};var ok=!!F.MutationObserver,pk=void 0,qk=function(a){if(!pk){var b=function(){var c=G.body;if(c)if(ok)(new MutationObserver(function(){for(var e=0;e<pk.length;e++)I(pk[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;nc(c,"DOMNodeInserted",function(){d||(d=!0,I(function(){d=!1;for(var e=0;e<pk.length;e++)I(pk[e])}))})}};pk=[];G.body?b():I(b)}pk.push(a)};var Lk=F.clearTimeout,Mk=F.setTimeout,S=function(a,b,c){if(eg()){b&&I(b)}else return jc(a,b,c)},Nk=function(){return F.location.href},Ok=function(a){return ne(pe(a),"fragment")},Pk=function(a){return oe(pe(a))},T=function(a,b){return Zd(a,b||2)},Qk=function(a,b,c){var d;b?(a.eventCallback=b,c&&(a.eventTimeout=c),d=Tj(a)):d=Tj(a);return d},Rk=function(a,b){F[a]=b},V=function(a,b,c){b&&(void 0===F[a]||c&&!F[a])&&(F[a]=
b);return F[a]},Sk=function(a,b,c){return ve(a,b,void 0===c?!0:!!c)},Tk=function(a,b,c){return 0===Ee(a,b,c)},Uk=function(a,b){if(eg()){b&&I(b)}else lc(a,b)},Vk=function(a){return!!ik(a,"init",!1)},Wk=function(a){gk(a,"init",!0)},Xk=function(a,b){var c=(void 0===b?0:b)?"www.googletagmanager.com/gtag/js":qd;c+="?id="+encodeURIComponent(a)+"&l=dataLayer";S(Q("https://","http://",c))},Yk=function(a,b){var c=a[b];return c};
var Zk=bk.Wg;var vl=new va;function wl(a,b){function c(h){var k=pe(h),l=ne(k,"protocol"),m=ne(k,"host",!0),q=ne(k,"port"),r=ne(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==q||"https"==l&&"443"==q)l="web",q="default";return[l,m,q,r]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0}
function xl(a){return yl(a)?1:0}
function yl(a){var b=a.arg0,c=a.arg1;if(a.any_of&&ra(c)){for(var d=0;d<c.length;d++)if(xl({"function":a["function"],arg0:b,arg1:c[d]}))return!0;return!1}switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var e;a:{if(b){var f=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var h=0;h<f.length;h++)if(b[f[h]]){e=b[f[h]](c);break a}}catch(w){}}e=!1}return e;case "_ew":var k,l;k=String(b);l=String(c);var m=k.length-
l.length;return 0<=m&&k.indexOf(l,m)==m;case "_eq":return String(b)==String(c);case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var q;q=String(b).split(",");return 0<=n(q,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var r;var u=a.ignore_case?"i":void 0;try{var p=String(c)+u,t=vl.get(p);t||(t=new RegExp(c,u),vl.set(p,t));r=t.test(b)}catch(w){r=!1}return r;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return wl(b,
c)}return!1};var zl=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d};var Al={},Bl=encodeURI,W=encodeURIComponent,Cl=mc;var Dl=function(a,b){if(!a)return!1;var c=ne(pe(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var El=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null};Al.Ng=function(){var a=!1;return a};var Sm=function(){var a=F.gaGlobal=F.gaGlobal||{};a.hid=a.hid||ua();return a.hid};var cn=window,dn=document,en=function(a){var b=cn._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===cn["ga-disable-"+a])return!0;try{var c=cn.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(f){}for(var d=re("AMP_TOKEN",String(dn.cookie),!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return dn.getElementById("__gaOptOutExtension")?!0:!1};
function hn(a,b){delete b.eventModel[D.va];if(a!==D.D){var c=b.getWithConfig(D.bc);if(ra(c)){J("GTM",26);for(var d={},e=0;e<c.length;e++){var f=c[e],h=b.getWithConfig(f);void 0!==h&&(d[f]=h)}b.eventModel=d}}kn(b.eventModel)}var kn=function(a){xa(a,function(c){"_"===c.charAt(0)&&delete a[c]});var b=a[D.ka]||{};xa(b,function(c){"_"===c.charAt(0)&&delete b[c]})};var nn=function(a,b,c){Wi(b,c,a)},on=function(a,b,c){Wi(b,c,a,!0)},qn=function(a,b){};
function pn(a,b){}var Z={a:{}};

Z.a.gtagha=["google"],function(){(function(a){Z.__gtagha=a;Z.__gtagha.b="gtagha";Z.__gtagha.g=!0;Z.__gtagha.priorityOverride=0})(function(a){var b=a.vtp_conversionId,c=td,d=T("eventModel");Vi(b.id,pi);if(c===D.D){var e=T("gtag.targets."+b.id);Xi(e,b.id)}else Wi(c,d,b.id);I(a.vtp_gtmOnSuccess)})}();


Z.a.e=["google"],function(){(function(a){Z.__e=a;Z.__e.b="e";Z.__e.g=!0;Z.__e.priorityOverride=0})(function(a){return String(ee(a.vtp_gtmEventId,"event"))})}();

Z.a.v=["google"],function(){(function(a){Z.__v=a;Z.__v.b="v";Z.__v.g=!0;Z.__v.priorityOverride=0})(function(a){var b=a.vtp_name;if(!b||!b.replace)return!1;var c=T(b.replace(/\\\./g,"."),a.vtp_dataLayerVersion||1);return void 0!==c?c:a.vtp_defaultValue})}();
Z.a.rep=["google"],function(){(function(a){Z.__rep=a;Z.__rep.b="rep";Z.__rep.g=!0;Z.__rep.priorityOverride=0})(function(a){var b;switch(bg(a.vtp_containerId).prefix){case "AW":b=Vh;break;case "DC":b=fi;break;case "GF":b=ki;break;case "GP":b=vi;break;case "HA":b=pi;break;case "UA":b=Ii;break;default:I(a.vtp_gtmOnFailure);return}I(a.vtp_gtmOnSuccess);Vi(a.vtp_containerId,b,a.vtp_remoteConfig||{})})}();



Z.a.cid=["google"],function(){(function(a){Z.__cid=a;Z.__cid.b="cid";Z.__cid.g=!0;Z.__cid.priorityOverride=0})(function(){return kd.s})}();




Z.a.gtagaw=["google"],function(){(function(a){Z.__gtagaw=a;Z.__gtagaw.b="gtagaw";Z.__gtagaw.g=!0;Z.__gtagaw.priorityOverride=0})(function(a){var b=a.vtp_conversionId,c=td;Vi(b.id,Vh);if(c===D.D){var d=T("gtag.targets."+b.id);Xi(d,b.id)}else{var e=T("eventModel");Wi(c,e,b.id)}I(a.vtp_gtmOnSuccess)})}();

Z.a.get=["google"],function(){(function(a){Z.__get=a;Z.__get.b="get";Z.__get.g=!0;Z.__get.priorityOverride=0})(function(a){if(a.vtp_isAutoTag){var b=String(a.vtp_trackingId),c=td||"",d={};if(c===D.D){var e=T("gtag.targets."+b);C(e,d);d[D.va]=!0;Xi(d,b)}else{var f=T("eventModel");C(f,d);d[D.va]=!0;Wi(c,d,b)}}else{var h=a.vtp_settings;(a.vtp_deferrable?on:nn)(String(h.streamId),String(a.vtp_eventName),h.eventParameters||{})}a.vtp_gtmOnSuccess()})}();


Z.a.gtagfl=[],function(){(function(a){Z.__gtagfl=a;Z.__gtagfl.b="gtagfl";Z.__gtagfl.g=!0;Z.__gtagfl.priorityOverride=0})(function(a){var b=a.vtp_targetId,c=td,d=T("eventModel");Vi(b,fi);if(c===D.D){var e=T("gtag.targets."+b);Xi(e,b)}else Wi(c,d,b);I(a.vtp_gtmOnSuccess)})}();


Z.a.gtaggf=["google"],function(){(function(a){Z.__gtaggf=a;Z.__gtaggf.b="gtaggf";Z.__gtaggf.g=!0;Z.__gtaggf.priorityOverride=0})(function(a){var b=a.vtp_conversionId,c=td,d=T("eventModel");Vi(b.id,ki);if(c===D.D){var e=T("gtag.targets."+b.id);Xi(e,b.id)}else Wi(c,d,b.id);I(a.vtp_gtmOnSuccess)})}();

Z.a.gtaggp=["google"],function(){(function(a){Z.__gtaggp=a;Z.__gtaggp.b="gtaggp";Z.__gtaggp.g=!0;Z.__gtaggp.priorityOverride=0})(function(a){var b=a.vtp_conversionId,c=td,d=T("eventModel");Vi(b,vi);if(c===D.D){var e=T("gtag.targets."+b);Xi(e,b)}else Wi(c,d,b);I(a.vtp_gtmOnSuccess)})}();



Z.a.gtagua=["google"],function(){(function(a){Z.__gtagua=a;Z.__gtagua.b="gtagua";Z.__gtagua.g=!0;Z.__gtagua.priorityOverride=0})(function(a){var b=a.vtp_trackingId,c=td,d=T("eventModel");Vi(b,Ii);if(c===D.D){var e=T("gtag.targets."+b);Xi(e,b)}else Wi(c,d,b);I(a.vtp_gtmOnSuccess)})}();


var rn={};rn.macro=function(a){if(bk.Ic.hasOwnProperty(a))return bk.Ic[a]},rn.onHtmlSuccess=bk.ne(!0),rn.onHtmlFailure=bk.ne(!1);rn.dataLayer=$d;rn.callback=function(a){vd.hasOwnProperty(a)&&oa(vd[a])&&vd[a]();delete vd[a]};function sn(){ld[kd.s]=rn;Ia(wd,Z.a);wb=wb||bk;xb=Bg}
function tn(){se.gtm_3pds=!0;ld=F.google_tag_manager=F.google_tag_manager||{};if(ld[kd.s]){var a=ld.zones;a&&a.unregisterChild(kd.s);}else{for(var b=data.resource||{},c=b.macros||[],d=0;d<c.length;d++)pb.push(c[d]);for(var e=b.tags||[],f=0;f<e.length;f++)sb.push(e[f]);for(var h=b.predicates||[],k=0;k<h.length;k++)rb.push(h[k]);for(var l=b.rules||[],m=0;m<l.length;m++){for(var q=l[m],r={},u=0;u<q.length;u++)r[q[u][0]]=Array.prototype.slice.call(q[u],1);qb.push(r)}ub=Z;vb=xl;sn();ak();Fg=!1;Gg=0;if("interactive"==G.readyState&&!G.createEventObject||"complete"==G.readyState)Ig();
else{nc(G,"DOMContentLoaded",Ig);nc(G,"readystatechange",Ig);if(G.createEventObject&&G.documentElement.doScroll){var p=!0;try{p=!F.frameElement}catch(y){}p&&Jg()}nc(F,"load",Ig)}vj=!1;"complete"===G.readyState?xj():nc(F,"load",xj);a:{if(!Pd)break a;F.setInterval(Qd,
864E5);}sd=(new Date).getTime();rn.bootstrap=sd;}}
(function(a){
a()})(tn);

})()
